-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Počítač: localhost
-- Vytvořeno: Sob 20. dub 2024, 12:12
-- Verze serveru: 10.11.6-MariaDB-0+deb12u1-log
-- Verze PHP: 7.3.33

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Databáze: `tbserviscz`
--

-- --------------------------------------------------------

--
-- Zástupná struktura pro pohled `hl_tabulka`
-- (Vlastní pohled viz níže)
--
CREATE TABLE `hl_tabulka` (
`ZarizeniID` int(11)
,`TypZarID` int(11)
,`FirmaID` int(11)
,`UmisteniID` int(11)
,`Typ_zarizeni` varchar(64)
,`Oznaceni` varchar(64)
,`Pracovnik` varchar(64)
,`Porizeno` date
,`Porizeno_format` varchar(5)
,`Zkratka` varchar(64)
);

-- --------------------------------------------------------

--
-- Struktura tabulky `tblfirma`
--

CREATE TABLE `tblfirma` (
  `FirmaID` int(11) NOT NULL,
  `Nazev` varchar(64) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_czech_ci;

--
-- Vypisuji data pro tabulku `tblfirma`
--

INSERT INTO `tblfirma` (`FirmaID`, `Nazev`) VALUES
(0, '---'),
(1, 'FF - Filozoficka'),
(2, 'FIM - Informatika a management'),
(3, 'PdF - Pedagogicka'),
(4, 'PřF - Přírodovědecká');

-- --------------------------------------------------------

--
-- Struktura tabulky `tblnastaveni`
--

CREATE TABLE `tblnastaveni` (
  `UzivatelID` int(11) NOT NULL,
  `Nazev` varchar(64) NOT NULL,
  `Hodnota` varchar(64) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_czech_ci;

--
-- Vypisuji data pro tabulku `tblnastaveni`
--

INSERT INTO `tblnastaveni` (`UzivatelID`, `Nazev`, `Hodnota`) VALUES
(10, 'tbl_FirmaID', '2'),
(10, 'vyber', 'prehled'),
(10, 'filtry', NULL),
(1, 'tbl_FirmaID', '2'),
(1, 'vyber', 'zarizeni'),
(1, 'filtry', NULL),
(15, 'tbl_FirmaID', '2'),
(15, 'vyber', 'prehled'),
(15, 'filtry', NULL),
(9, 'tbl_FirmaID', '1'),
(9, 'vyber', 'zarizeni'),
(9, 'filtry', NULL);

-- --------------------------------------------------------

--
-- Struktura tabulky `tblpopiszurnal`
--

CREATE TABLE `tblpopiszurnal` (
  `PopisZurnalID` int(11) NOT NULL,
  `Nazev` varchar(128) NOT NULL,
  `Popis` varchar(256) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_czech_ci;

--
-- Vypisuji data pro tabulku `tblpopiszurnal`
--

INSERT INTO `tblpopiszurnal` (`PopisZurnalID`, `Nazev`, `Popis`) VALUES
(1, 'Umisteni', ' %umisteni% je nové umístění'),
(2, 'Stredisko', 'Bylo změněno středisko na %stredisko%'),
(3, 'Pracovnik', 'Byl změněn pracovník na %pracovnik%'),
(4, 'Evcislo', 'Evidenční číslo bylo změněno na %evCislo%'),
(5, 'Porizeno', 'Pořízení bylo změněno na %porizeno%.'),
(6, 'Umisteni', 'Zařízení se nyní nachází na %umisteni%.');

-- --------------------------------------------------------

--
-- Struktura tabulky `tblstredisko`
--

CREATE TABLE `tblstredisko` (
  `StrediskoID` int(11) NOT NULL,
  `FirmaID` int(11) DEFAULT NULL,
  `Zkratka` varchar(64) DEFAULT NULL,
  `Nazev` varchar(64) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_czech_ci;

--
-- Vypisuji data pro tabulku `tblstredisko`
--

INSERT INTO `tblstredisko` (`StrediskoID`, `FirmaID`, `Zkratka`, `Nazev`) VALUES
(1, 1, 'Kampus', 'Hlavní budova'),
(2, 2, 'AI', 'Aplikovaná informatika'),
(3, 3, 'Kampus', 'Hned vedle J'),
(4, 4, 'Laborky', 'Laboratoře PřF'),
(5, 1, 'Vedejší', 'Vedlejší budova'),
(6, 2, 'IM', 'Informační management'),
(7, 4, 'HL', 'Hlavní budova');

-- --------------------------------------------------------

--
-- Struktura tabulky `tbltypvlast`
--

CREATE TABLE `tbltypvlast` (
  `TypVlastID` int(11) NOT NULL,
  `TypZarID` int(11) NOT NULL,
  `Nazev` varchar(64) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_czech_ci;

--
-- Vypisuji data pro tabulku `tbltypvlast`
--

INSERT INTO `tbltypvlast` (`TypVlastID`, `TypZarID`, `Nazev`) VALUES
(1, 1, 'Procesor'),
(2, 1, 'Paměť'),
(3, 1, 'Disk'),
(4, 1, 'Grafická karta'),
(5, 1, 'Základní deska'),
(6, 2, 'Procesor'),
(7, 2, 'Disk'),
(8, 2, 'Paměť'),
(9, 2, 'Grafická karta'),
(10, 2, 'Základní deska'),
(11, 2, 'Monitor'),
(12, 3, 'Počet portů'),
(13, 3, 'Management'),
(14, 3, 'Rychlost'),
(15, 3, 'Systém'),
(16, 1, 'Systém'),
(17, 2, 'Systém'),
(18, 4, 'Rychlost'),
(19, 4, 'Počet portů'),
(20, 4, 'Systém'),
(21, 5, 'Barevná');

-- --------------------------------------------------------

--
-- Struktura tabulky `tbltypzar`
--

CREATE TABLE `tbltypzar` (
  `TypZarID` int(11) NOT NULL,
  `Zkratka` varchar(64) DEFAULT NULL,
  `Nazev` varchar(64) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_czech_ci;

--
-- Vypisuji data pro tabulku `tbltypzar`
--

INSERT INTO `tbltypzar` (`TypZarID`, `Zkratka`, `Nazev`) VALUES
(1, 'PC', 'Počítač'),
(2, 'NB', 'Notebook'),
(3, 'SW', 'Switch'),
(4, 'Router', 'Router'),
(5, 'Tiskárna', 'Tiskárna');

-- --------------------------------------------------------

--
-- Struktura tabulky `tblumisteni`
--

CREATE TABLE `tblumisteni` (
  `UmisteniID` int(11) NOT NULL,
  `FirmaID` int(11) NOT NULL,
  `Zkratka` varchar(64) DEFAULT NULL,
  `Adresa` varchar(255) DEFAULT NULL,
  `WanIP` varchar(128) NOT NULL,
  `SitLAN` varchar(128) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_czech_ci;

--
-- Vypisuji data pro tabulku `tblumisteni`
--

INSERT INTO `tblumisteni` (`UmisteniID`, `FirmaID`, `Zkratka`, `Adresa`, `WanIP`, `SitLAN`) VALUES
(1, 1, 'Hlavní budova', 'Hradec 01, Hradecká', '192.168.31.1', '123.85.85.1/24'),
(2, 2, 'Hlavní budova', 'Hradec 01, Hradecká', '192.168.31.2', '123.86.86.1/24'),
(3, 3, 'Hlavní budova', 'Hradec 01, Hradecká', '192.168.31.3', '123.87.87.1/24'),
(4, 4, 'Hlavní budova', 'Hradec 01, Hradecká', '192.168.31.4', '123.88.88.1/24'),
(5, 2, 'Budova A', 'Hradec 02, Hradecká', '192.168.32.1', '192.168.1.1/23'),
(7, 1, 'Vedejší', 'Hradec 02, Hradecká', '192.168.32.1', '192.168.1.1/23');

-- --------------------------------------------------------

--
-- Struktura tabulky `tbluzivatel`
--

CREATE TABLE `tbluzivatel` (
  `UzivatelID` int(11) NOT NULL,
  `FirmaID` int(11) DEFAULT NULL,
  `Jmeno` varchar(64) DEFAULT NULL,
  `Prijmeni` varchar(64) DEFAULT NULL,
  `TelCislo` varchar(16) DEFAULT NULL,
  `Email` varchar(128) DEFAULT NULL,
  `Uzivatel` varchar(64) NOT NULL,
  `Heslo` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_czech_ci;

--
-- Vypisuji data pro tabulku `tbluzivatel`
--

INSERT INTO `tbluzivatel` (`UzivatelID`, `FirmaID`, `Jmeno`, `Prijmeni`, `TelCislo`, `Email`, `Uzivatel`, `Heslo`) VALUES
(1, 0, 'Administrátor', NULL, NULL, '', 'admin', '2yn.4fvaTgedM'),
(8, 0, 'Ondřej', 'Beran', '000 213 987', 'ondra@aaa.cz', 'beranon', '2yU7dpVgqrnW6'),
(9, 1, 'Ludmila', 'Loukova', '354 854 784', 'loukova@uhk.cz', 'loukovalu', '2yKugOKMCpQBE'),
(10, 2, 'Jaromír', 'Kuželka', '+420 584 214 654', 'kuzelka@fim.cz', 'kuzelkaja', '2yj7fZdxeID3A'),
(13, 3, 'Ingrit', 'Poklusková', '524 263 555', 'pokluskova@uhk.uk', 'pokluskovain', '2yleyOyTKcWR6'),
(14, 4, 'Oldřich', 'Krmánek', '785 457 236', 'krmanek@prf.com', 'krmanekol', '2yKUNY.RP1JDc'),
(15, 0, 'Karolína', 'Martinova', '250 231 254', 'martinova@uhk.cz', 'martinovaka', '2yeu4Xp7vNeZY');

-- --------------------------------------------------------

--
-- Struktura tabulky `tblvlastnost`
--

CREATE TABLE `tblvlastnost` (
  `VlastnostlID` int(11) NOT NULL,
  `ZarizeniID` int(11) DEFAULT NULL,
  `TypVlastID` int(11) DEFAULT NULL,
  `Popis` varchar(254) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_czech_ci;

--
-- Vypisuji data pro tabulku `tblvlastnost`
--

INSERT INTO `tblvlastnost` (`VlastnostlID`, `ZarizeniID`, `TypVlastID`, `Popis`) VALUES
(1, 1, 1, 'Intel i5'),
(2, 1, 2, 'DDR4-16GB'),
(3, 1, 3, '1T HDD'),
(4, 1, 4, ''),
(5, 1, 5, 'AMD'),
(6, 1, 16, 'Win 11'),
(7, 2, 6, 'Intel i7'),
(8, 2, 7, '256GB SSD'),
(9, 2, 8, 'DDR4-8GB'),
(10, 2, 9, 'Intel'),
(11, 2, 10, 'AMD'),
(12, 2, 11, '15″ FULLHD'),
(13, 2, 17, 'Win 10'),
(14, 3, 12, '16'),
(15, 3, 13, 'Omada'),
(16, 3, 14, '1Gb/s'),
(17, 3, 15, ''),
(18, 4, 6, 'Intel i7'),
(19, 4, 7, '512GB SSD'),
(20, 4, 8, 'DDR5-16GB'),
(21, 4, 9, 'AMD'),
(22, 4, 10, 'Intel'),
(23, 4, 11, '13″ 2K'),
(24, 4, 17, 'Win 11'),
(25, 5, 21, 'ANO'),
(26, 6, 1, 'Intel i7'),
(27, 6, 2, 'DDR4-16GB'),
(28, 6, 3, '1T HDD'),
(29, 6, 4, 'Win 11'),
(30, 6, 5, 'AMD'),
(31, 6, 16, 'Win 11');

-- --------------------------------------------------------

--
-- Struktura tabulky `tblzarizeni`
--

CREATE TABLE `tblzarizeni` (
  `ZarizeniID` int(11) NOT NULL,
  `FirmaID` int(11) DEFAULT NULL,
  `EvCislo` int(11) DEFAULT NULL,
  `Porizeno` date DEFAULT NULL,
  `TypZarID` int(11) DEFAULT NULL,
  `Oznaceni` varchar(64) DEFAULT NULL,
  `UmisteniID` int(11) DEFAULT NULL,
  `StrediskoID` int(11) DEFAULT NULL,
  `Pracovnik` varchar(64) DEFAULT NULL,
  `Model` varchar(64) DEFAULT NULL,
  `Poznamka` varchar(1024) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_czech_ci;

--
-- Vypisuji data pro tabulku `tblzarizeni`
--

INSERT INTO `tblzarizeni` (`ZarizeniID`, `FirmaID`, `EvCislo`, `Porizeno`, `TypZarID`, `Oznaceni`, `UmisteniID`, `StrediskoID`, `Pracovnik`, `Model`, `Poznamka`) VALUES
(2, 1, 20, '2022-09-01', 2, 'NB-02', 1, 5, 'Jiřina Masíková', 'DELL-laptop', 'Nejlepší NB.'),
(4, 2, 10, '2016-09-01', 2, 'NB-001', 5, 2, 'Antonín Hálek', 'Acer-laptop', ''),
(6, 4, 1, '2023-05-01', 1, 'PC-001', 4, 4, 'Jan Macík', 'DELL-desktop', '');

-- --------------------------------------------------------

--
-- Struktura tabulky `tblzurnal`
--

CREATE TABLE `tblzurnal` (
  `ZurnalID` int(11) NOT NULL,
  `ZarizeniID` int(11) DEFAULT NULL,
  `Datum` date DEFAULT NULL,
  `Popis` varchar(254) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_czech_ci;

-- --------------------------------------------------------

--
-- Zástupná struktura pro pohled `vlastnosti`
-- (Vlastní pohled viz níže)
--
CREATE TABLE `vlastnosti` (
`ZarizeniID` int(11)
,`EvCislo` int(11)
,`Porizeno` varchar(7)
,`Umisteni` varchar(255)
,`Stredisko` varchar(64)
,`Pracovnik` varchar(64)
,`Model` varchar(64)
,`Poznamka` varchar(1024)
,`Oznaceni` varchar(64)
,`Typ` varchar(64)
);

-- --------------------------------------------------------

--
-- Struktura pro pohled `hl_tabulka`
--
DROP TABLE IF EXISTS `hl_tabulka`;

CREATE VIEW `hl_tabulka`  AS SELECT `tblzarizeni`.`ZarizeniID` AS `ZarizeniID`, `tbltypzar`.`TypZarID` AS `TypZarID`, `tblfirma`.`FirmaID` AS `FirmaID`, `tblumisteni`.`UmisteniID` AS `UmisteniID`, `tbltypzar`.`Zkratka` AS `Typ_zarizeni`, `tblzarizeni`.`Oznaceni` AS `Oznaceni`, `tblzarizeni`.`Pracovnik` AS `Pracovnik`, `tblzarizeni`.`Porizeno` AS `Porizeno`, date_format(`tblzarizeni`.`Porizeno`,'%m/%y') AS `Porizeno_format`, `tblumisteni`.`Zkratka` AS `Zkratka` FROM (((`tbltypzar` join `tblzarizeni`) join `tblumisteni`) join `tblfirma`) WHERE `tblzarizeni`.`TypZarID` = `tbltypzar`.`TypZarID` AND `tblzarizeni`.`UmisteniID` = `tblumisteni`.`UmisteniID` AND `tblfirma`.`FirmaID` = `tblumisteni`.`FirmaID` ;

-- --------------------------------------------------------

--
-- Struktura pro pohled `vlastnosti`
--
DROP TABLE IF EXISTS `vlastnosti`;

CREATE VIEW `vlastnosti`  AS SELECT `tblzarizeni`.`ZarizeniID` AS `ZarizeniID`, `tblzarizeni`.`EvCislo` AS `EvCislo`, date_format(`tblzarizeni`.`Porizeno`,'%Y-%m') AS `Porizeno`, `tblumisteni`.`Adresa` AS `Umisteni`, `tblstredisko`.`Nazev` AS `Stredisko`, `tblzarizeni`.`Pracovnik` AS `Pracovnik`, `tblzarizeni`.`Model` AS `Model`, `tblzarizeni`.`Poznamka` AS `Poznamka`, `tblzarizeni`.`Oznaceni` AS `Oznaceni`, `tbltypzar`.`Nazev` AS `Typ` FROM (((`tblzarizeni` join `tblumisteni`) join `tblstredisko`) join `tbltypzar`) WHERE `tblzarizeni`.`UmisteniID` = `tblumisteni`.`UmisteniID` AND `tblzarizeni`.`StrediskoID` = `tblstredisko`.`StrediskoID` AND `tblzarizeni`.`TypZarID` = `tbltypzar`.`TypZarID` ;

--
-- Indexy pro exportované tabulky
--

--
-- Indexy pro tabulku `tblfirma`
--
ALTER TABLE `tblfirma`
  ADD PRIMARY KEY (`FirmaID`);

--
-- Indexy pro tabulku `tblnastaveni`
--
ALTER TABLE `tblnastaveni`
  ADD KEY `tblUzivatel_tblNastaveni` (`UzivatelID`);

--
-- Indexy pro tabulku `tblpopiszurnal`
--
ALTER TABLE `tblpopiszurnal`
  ADD PRIMARY KEY (`PopisZurnalID`);

--
-- Indexy pro tabulku `tblstredisko`
--
ALTER TABLE `tblstredisko`
  ADD PRIMARY KEY (`StrediskoID`),
  ADD KEY `tblFirma_tblStredisko` (`FirmaID`);

--
-- Indexy pro tabulku `tbltypvlast`
--
ALTER TABLE `tbltypvlast`
  ADD PRIMARY KEY (`TypVlastID`),
  ADD KEY `tblTypZar_tblVlast` (`TypZarID`);

--
-- Indexy pro tabulku `tbltypzar`
--
ALTER TABLE `tbltypzar`
  ADD PRIMARY KEY (`TypZarID`);

--
-- Indexy pro tabulku `tblumisteni`
--
ALTER TABLE `tblumisteni`
  ADD PRIMARY KEY (`UmisteniID`),
  ADD KEY `tblFirma_tblUmisteni` (`FirmaID`) USING BTREE;

--
-- Indexy pro tabulku `tbluzivatel`
--
ALTER TABLE `tbluzivatel`
  ADD PRIMARY KEY (`UzivatelID`),
  ADD KEY `tblFirma_tblUzivatel` (`FirmaID`) USING BTREE;

--
-- Indexy pro tabulku `tblvlastnost`
--
ALTER TABLE `tblvlastnost`
  ADD PRIMARY KEY (`VlastnostlID`),
  ADD KEY `tblZarizeni_tblVlastnost` (`ZarizeniID`),
  ADD KEY `tblTypVlast_tblVlastnost` (`TypVlastID`);

--
-- Indexy pro tabulku `tblzarizeni`
--
ALTER TABLE `tblzarizeni`
  ADD PRIMARY KEY (`ZarizeniID`),
  ADD KEY `tblFirma_tblZarizeni` (`FirmaID`),
  ADD KEY `tblStredisko_tblZarizeni` (`StrediskoID`),
  ADD KEY `tblTypZar_tblZarizeni` (`TypZarID`),
  ADD KEY `tblUmisteni_tblZarizeni` (`UmisteniID`);

--
-- Indexy pro tabulku `tblzurnal`
--
ALTER TABLE `tblzurnal`
  ADD PRIMARY KEY (`ZurnalID`),
  ADD KEY `tblZarizeni_tblZurnal` (`ZarizeniID`);

--
-- AUTO_INCREMENT pro tabulky
--

--
-- AUTO_INCREMENT pro tabulku `tblfirma`
--
ALTER TABLE `tblfirma`
  MODIFY `FirmaID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT pro tabulku `tblpopiszurnal`
--
ALTER TABLE `tblpopiszurnal`
  MODIFY `PopisZurnalID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT pro tabulku `tblstredisko`
--
ALTER TABLE `tblstredisko`
  MODIFY `StrediskoID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;

--
-- AUTO_INCREMENT pro tabulku `tbltypvlast`
--
ALTER TABLE `tbltypvlast`
  MODIFY `TypVlastID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=22;

--
-- AUTO_INCREMENT pro tabulku `tbltypzar`
--
ALTER TABLE `tbltypzar`
  MODIFY `TypZarID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT pro tabulku `tblumisteni`
--
ALTER TABLE `tblumisteni`
  MODIFY `UmisteniID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT pro tabulku `tbluzivatel`
--
ALTER TABLE `tbluzivatel`
  MODIFY `UzivatelID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=16;

--
-- AUTO_INCREMENT pro tabulku `tblvlastnost`
--
ALTER TABLE `tblvlastnost`
  MODIFY `VlastnostlID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=32;

--
-- AUTO_INCREMENT pro tabulku `tblzarizeni`
--
ALTER TABLE `tblzarizeni`
  MODIFY `ZarizeniID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT pro tabulku `tblzurnal`
--
ALTER TABLE `tblzurnal`
  MODIFY `ZurnalID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=15;

--
-- Omezení pro exportované tabulky
--

--
-- Omezení pro tabulku `tblnastaveni`
--
ALTER TABLE `tblnastaveni`
  ADD CONSTRAINT `tblUzivatel_tblNastaveni` FOREIGN KEY (`UzivatelID`) REFERENCES `tbluzivatel` (`UzivatelID`) ON DELETE CASCADE;

--
-- Omezení pro tabulku `tblstredisko`
--
ALTER TABLE `tblstredisko`
  ADD CONSTRAINT `tblFirma_tblStredisko` FOREIGN KEY (`FirmaID`) REFERENCES `tblfirma` (`FirmaID`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Omezení pro tabulku `tbltypvlast`
--
ALTER TABLE `tbltypvlast`
  ADD CONSTRAINT `tblTypZar_tblVlast` FOREIGN KEY (`TypZarID`) REFERENCES `tbltypzar` (`TypZarID`);

--
-- Omezení pro tabulku `tblumisteni`
--
ALTER TABLE `tblumisteni`
  ADD CONSTRAINT `tblFirma_tblUmisteni` FOREIGN KEY (`FirmaID`) REFERENCES `tblfirma` (`FirmaID`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Omezení pro tabulku `tbluzivatel`
--
ALTER TABLE `tbluzivatel`
  ADD CONSTRAINT `tblFirma_tblUzivatel` FOREIGN KEY (`FirmaID`) REFERENCES `tblfirma` (`FirmaID`);

--
-- Omezení pro tabulku `tblvlastnost`
--
ALTER TABLE `tblvlastnost`
  ADD CONSTRAINT `tblTypVlast_tblVlastnost` FOREIGN KEY (`TypVlastID`) REFERENCES `tbltypvlast` (`TypVlastID`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Omezení pro tabulku `tblzarizeni`
--
ALTER TABLE `tblzarizeni`
  ADD CONSTRAINT `tblFirma_tblZarizeni` FOREIGN KEY (`FirmaID`) REFERENCES `tblfirma` (`FirmaID`),
  ADD CONSTRAINT `tblStredisko_tblZarizeni` FOREIGN KEY (`StrediskoID`) REFERENCES `tblstredisko` (`StrediskoID`),
  ADD CONSTRAINT `tblTypZar_tblZarizeni` FOREIGN KEY (`TypZarID`) REFERENCES `tbltypzar` (`TypZarID`),
  ADD CONSTRAINT `tblUmisteni_tblZarizeni` FOREIGN KEY (`UmisteniID`) REFERENCES `tblumisteni` (`UmisteniID`);

--
-- Omezení pro tabulku `tblzurnal`
--
ALTER TABLE `tblzurnal`
  ADD CONSTRAINT `tblZarizeni_tblZurnal` FOREIGN KEY (`ZarizeniID`) REFERENCES `tblzarizeni` (`ZarizeniID`) ON DELETE CASCADE ON UPDATE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
