<?php
session_start();

const DSN = "mysql:host=localhost;dbname=skolni_dbs;charset=utf8";
const USERNAME = "root";
const PASSWORD = "";

try {
    $db = new PDO(DSN, USERNAME, PASSWORD);
} catch (PDOException $e) {
    echo "<h1>Připojení k databázi se nezdařilo!</h1>";
    echo $e->getMessage();
    return;
}

if (!isset($_SESSION["FirmaID"]) || !isset($_SESSION["UzivatelID"])) {
    header("Location: Prihlaseni.php");
    exit();
}

if (empty($_POST["uzivatel"])) {
    $_POST["uzivatel"] = "";
} elseif ($_POST["uzivatel"] == "zmena") {
    header("Location: Zmena_hesla.php");
    exit();
} elseif ($_POST["uzivatel"] == "odhlasit") {

    $nastaveni =  $db->query("SELECT `Nazev`, `Hodnota`, `UzivatelID` FROM `tblnastaveni` WHERE UzivatelID = '" . $_SESSION["UzivatelID"] . "';");

    if ($nastaveni->rowCount() > 0) {
        $db->query("UPDATE `tblnastaveni` SET `Hodnota`='" . $_SESSION["tbl_FirmaID"] . "' WHERE UzivatelID = '" . $_SESSION["UzivatelID"] . "' AND Nazev = 'tbl_FirmaID'");
        $db->query("UPDATE `tblnastaveni` SET `Hodnota`='" . $_SESSION["vyber"]  . "' WHERE UzivatelID = '" . $_SESSION["UzivatelID"] . "' AND Nazev = 'vyber'");
        if (empty($_SESSION["filtry"])) {
            $db->query("UPDATE `tblnastaveni` SET `Hodnota`= NULL WHERE UzivatelID = '" . $_SESSION["UzivatelID"] . "' AND Nazev = 'filtry'");
        } else {
            $db->query("UPDATE `tblnastaveni` SET `Hodnota`='" . implode(":", $_SESSION["filtry"]) . "' WHERE UzivatelID = '" . $_SESSION["UzivatelID"] . "' AND Nazev = 'filtry'");
        }
    } else {
        if (empty($_SESSION["filtry"])) {
            $db->query("INSERT INTO `tblnastaveni`(`Nazev`, `Hodnota`, `UzivatelID`) VALUES ('tbl_FirmaID','" . $_SESSION["tbl_FirmaID"] . "','" . $_SESSION["UzivatelID"] . "'), 
                                                                                            ('vyber','" . $_SESSION["vyber"] . "','" . $_SESSION["UzivatelID"] . "'),
                                                                                            ('filtry', NULL ,'" . $_SESSION["UzivatelID"] . "');");
        } else {
            $db->query("INSERT INTO `tblnastaveni`(`Nazev`, `Hodnota`, `UzivatelID`) VALUES ('tbl_FirmaID','" . $_SESSION["tbl_FirmaID"] . "','" . $_SESSION["UzivatelID"] . "'), 
                                                                                            ('vyber','" . $_SESSION["vyber"] . "','" . $_SESSION["UzivatelID"] . "'),
                                                                                            ('filtry','" . implode(":", $_SESSION["filtry"]) . "','" . $_SESSION["UzivatelID"] . "');");
        }
    }

    session_destroy();
    header("Location: ../Verejna_stranka.php");
    exit();
}
?>
<!DOCTYPE html>
<html lang="cs">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Bakalářka</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type='text/css' href="klientska.css">

    <?php

    if (empty($_POST["akce"])) {
        $_POST["akce"] = "";
    }
    if (empty($_POST["razeni"])) {
        $_POST["razeni"] = "";
    }

    if (empty($_SESSION["podminka"])) {
        $_SESSION["podminka"] = "WHERE (FirmaID = " . $_SESSION["tbl_FirmaID"] . ")";
    }
    if (empty($_POST["filtrovat"])) {
        $_POST["filtrovat"] = "";
    }
    if ($_POST["filtrovat"] == "filtrovat") {
        $_SESSION["podminka"] = "WHERE (FirmaID = " . $_SESSION["tbl_FirmaID"] . ")";
    }

    if (empty($_POST["filtr_pracovnik"])) {
        $_POST["filtr_pracovnik"] = "";
    }

    if (empty($_SESSION["filtry"])) {
        $_SESSION["podminka"] = "WHERE (FirmaID = " . $_SESSION["tbl_FirmaID"] . ")";
    }

    if ($_POST["filtrovat"] == "zrusit_filtry") {
        $_SESSION["filtry"] = "";
        $_SESSION["podminka"] = "WHERE (FirmaID = " . $_SESSION["tbl_FirmaID"] . ")";
    }

    $uzivatel = $db->query("SELECT `Jmeno`, `Prijmeni` FROM `tbluzivatel` WHERE UzivatelID = " . $_SESSION["UzivatelID"])->fetch();

    if (empty($_POST["filtr"])) {
        $_POST["filtr"] = "";
    } elseif ($_POST["filtr"] == "prehled") {
        $_SESSION["vyber"] = "prehled";
        $_POST["akce"] = "zpet";
    } elseif ($_POST["filtr"] == "uzivatele") {
        $_SESSION["vyber"] = "uzivatele";
        $_POST["akce"] = "zpet";
    } elseif ($_POST["filtr"] == "nastaveni") {
        $_SESSION["vyber"] = "nastaveni";
        $_POST["akce"] = "zpet";
    } else {
        $_SESSION["vyber"] = "zarizeni";
        $_SESSION["tbl_FirmaID"] = $_POST["filtr"];
        $_SESSION["podminka"] = "WHERE (FirmaID = " . $_SESSION["tbl_FirmaID"] . ")";
        $_POST["akce"] = "zpet";
    }
    if (empty($_SESSION["vyber"])) {
        $_SESSION["vyber"] = $db->query("SELECT `Hodnota` FROM `tblnastaveni` WHERE UzivatelID = '" . $_SESSION["UzivatelID"] . "' AND Nazev = 'vyber';")->fetchColumn();
        $_POST["firmaNazev" . $_SESSION["tbl_FirmaID"]] = "Vyberte firmu";
        if (empty($_SESSION["vyber"]))
            $_SESSION["vyber"] = "prehled";
    }

    switch ($_SESSION["vyber"]) {
        case 'zarizeni':
            if ($_SESSION["tbl_FirmaID"] != "") {
                $nazevFirmy = $db->query("SELECT `Nazev` FROM `tblfirma` WHERE FirmaID = " . $_SESSION["tbl_FirmaID"])->fetch();
                $_POST["firmaNazev" . $_SESSION["tbl_FirmaID"]] = $nazevFirmy["Nazev"];
                $hl_tabulka = filtry_razeni($db);
                $hl_tabulka = $db->query($hl_tabulka);
            }
            break;
        case 'prehled':
            if ($_SESSION["tbl_FirmaID"] != "") {
                $nazevFirmy = $db->query("SELECT `Nazev` FROM `tblfirma` WHERE FirmaID = " . $_SESSION["tbl_FirmaID"])->fetch();
                $_POST["firmaNazev" . $_SESSION["tbl_FirmaID"]] = $nazevFirmy["Nazev"];

                $prehled_firma = $db->query("SELECT `FirmaID`, `Nazev` FROM `tblfirma` WHERE tblfirma.FirmaID != 0;");
                $prehled_uzivatele = $db->query("SELECT `UzivatelID`, `Jmeno`,`Prijmeni`, `Uzivatel`, `TelCislo`, `Email` FROM `tbluzivatel` WHERE tbluzivatel.FirmaID = " . $_SESSION["tbl_FirmaID"] . ";");
                $prehled_umisteni = $db->query("SELECT * FROM `tblumisteni` WHERE FirmaID = " . $_SESSION["tbl_FirmaID"] . ";");
                $prehled_stredisko = $db->query("SELECT * FROM `tblstredisko` WHERE FirmaID = " . $_SESSION["tbl_FirmaID"] . ";");
            }
            break;
        case 'uzivatele':
            $hl_tabulka = $db->query("SELECT `UzivatelID`, `Nazev`, `Jmeno`,`Prijmeni`, `Uzivatel`, `TelCislo`, `Email` FROM `tbluzivatel`, `tblfirma` WHERE tblfirma.FirmaID = tbluzivatel.FirmaID;");
            $_POST["firmaNazev" . $_SESSION["tbl_FirmaID"]] = "Uživatelé";
            break;
        case 'nastaveni':
            $_POST["firmaNazev" . $_SESSION["tbl_FirmaID"]] = "Nastavení";
            $nastaveni_firmy = $db->query("SELECT * FROM `tblfirma` WHERE FirmaID != 0;");
            $nastaveni_zurnal = $db->query("SELECT * FROM `tblpopiszurnal`;");
            break;
        default:
            $_SESSION["vyber"] = "";
            break;
    }

    if ($_SESSION["FirmaID"] == 0) {
        $vyber = "enable";
        $firma = $db->query("SELECT * FROM `tblfirma` WHERE FirmaID != 0");
    } else {
        $vyber = "disabled";
        $nazevFirmy = $db->query("SELECT `Nazev` FROM `tblfirma` WHERE FirmaID = " . $_SESSION["tbl_FirmaID"])->fetch();
        $_POST["firmaNazev" . $_SESSION["tbl_FirmaID"]] = $nazevFirmy["Nazev"];
    }

    switch ($_POST["akce"]) {
        case 'pridat_firmu':
            $_SESSION["podokno"] = "pridat_firmu";
            break;

        case 'pridat_zarizeni':
            $_SESSION["podokno"] = "pridat_zarizeni";
            break;

        case 'pridat_uzivatele':
            $_SESSION["podokno"] = "pridat_uzivatele";
            break;

        case 'pridat_umisteni':
            $_SESSION["podokno"] = "pridat_umisteni";
            break;

        case 'pridat_stredisko':
            $_SESSION["podokno"] = "pridat_stredisko";
            break;

        case 'podrobnosti_zarizeni':
            $_SESSION["podokno"] = "podrobnosti_zarizeni";
            $_SESSION["ZarizeniID"] = $_POST["ZarizeniID"];
            $_SESSION["TypZarID"] = $_POST["TypZarID"];
            $_SESSION["podrobnosti_akce"] = "vlastnosti";
            break;

        case 'zpet':
            $_SESSION["podokno"] = "";
            $_SESSION["ZarizeniID"] = "";
            $_SESSION["TypZarID"] = "";
            break;

        case 'podrobnosti_uzivatel':
            $_SESSION["podokno"] = "podrobnosti_uzivatele";
            $_SESSION["podrobnosti_UzivatelID"] = $_POST["UzivatelID"];
            break;

        case 'podrobnosti_firma':
            $_SESSION["podokno"] = "podrobnosti_firma";
            $_SESSION["podrobnosti_FirmaID"] = $_POST["FirmaID"];
            break;
        case 'podrobnosti_zurnal':
            $_SESSION["podokno"] = "podrobnosti_zurnal";
            $_SESSION["podrobnosti_PopisZurnalID"] = $_POST["popisZurnalID"];
            break;

        case 'podrobnosti_stredisko':
            $_SESSION["podokno"] = "podrobnosti_stredisko";
            $_SESSION["strediskoID"] = $_POST["strediskoID"];
            break;

        case 'podrobnosti_umisteni':
            $_SESSION["podokno"] = "podrobnosti_umisteni";
            $_SESSION["umisteniID"] = $_POST["umisteniID"];
            break;

        case 'odstranit_firmu':

            break;

        default:
            $_POST["akce"] = "";

            break;
    }

    if (empty($_SESSION["podokno"]))
        $_SESSION["podokno"] = "";

    if (
        $_SESSION["podokno"] == "podrobnosti_umisteni" || $_SESSION["podokno"] == "podrobnosti_firma" || $_SESSION["podokno"] == "podrobnosti_zurnal" ||
        $_SESSION["podokno"] == "podrobnosti_uzivatele" || $_SESSION["podokno"] == "podrobnosti_stredisko" || $_SESSION["podokno"] == "podrobnosti_zarizeni"
    ) {
    ?>
        <style>
            .klientskastrana-podrobnosti {
                display: flex;
            }
        </style>
    <?php
    } elseif (
        $_SESSION["podokno"] == "pridat_umisteni" || $_SESSION["podokno"] == "pridat_firmu" ||
        $_SESSION["podokno"] == "pridat_uzivatele" || $_SESSION["podokno"] == "pridat_stredisko" || $_SESSION["podokno"] == "pridat_zarizeni"
    ) {
    ?>
        <style>
            .klientskastrana-pridani {
                display: flex;
            }
        </style>
    <?php
    }
    ?>

</head>

<body>
    <div class="klientskastrana-vsechno">
        <div class="klientskastrana-hlavicka">
            <div class="klientskastrana-hlavickaleva">
                <svg class="klientskastrana-logohlavicka" version="1.1" viewBox="0 0 1489 1489">
                    <circle cx="738.63" cy="738.63" r="738.63" style="fill:#fff;" />
                    <path d="M299.149,1224.49c-26.074,-0 -47.244,-21.169 -47.244,-47.244c0,-26.075 21.17,-47.244 47.244,-47.244l708.253,-0c65.187,-0 118.11,-52.924 118.11,-118.11c-0,-65.187 -52.923,-118.111 -118.11,-118.111c-0,0 -116.736,0 -116.736,0l25.318,-94.488l91.418,0c65.187,0 118.11,-52.923 118.11,-118.11c-0,-65.187 -52.923,-118.11 -118.11,-118.11l-77.034,-0l-139.249,519.685l-97.821,-0l164.567,-614.174l149.537,0c117.336,0 212.598,95.263 212.598,212.599c0,66.752 -30.831,126.361 -79.024,165.354c48.193,38.994 79.024,98.602 79.024,165.355c0,117.336 -95.262,212.598 -212.598,212.598l-708.253,-0Zm-47.244,-708.661c0,-0 -0.409,-210.484 -0.409,-212.599c0,-26.075 21.17,-47.244 47.244,-47.244l874.016,0c26.075,0 47.244,21.169 47.244,47.244c0,26.075 -21.169,47.244 -47.244,47.244l-826.363,0l0,118.11l389.195,0l-164.567,614.174l-97.821,-0l139.249,-519.685l-313.504,-0c-25.962,-0 -47.04,-21.17 -47.04,-47.244l0,-0Z" style="fill:#001957;" />
                </svg>
                <form method="post">
                    <select class="klientskastrana-nazevfirmy" name="filtr" onchange="this.form.submit()" <?php echo $vyber ?>>
                        <option value="<?php // echo $key["tbl_FirmaID"] 
                                        ?>" hidden><?php echo $_POST["firmaNazev" . $_SESSION["tbl_FirmaID"]] ?></option>
                        <?php
                        foreach ($firma as $key) {
                        ?>
                            <option value="<?php echo $key["FirmaID"] ?>"><?php echo $key["Nazev"] ?></option>
                        <?php
                        }
                        ?>
                    </select>
                </form>
            </div>
            <div class="klientskastrana-hlavickaprava">
                <form method="post">
                    <select class="klientskastrana-nazevfirmy" name="uzivatel" onchange="this.form.submit()">
                        <option hidden><?php echo $uzivatel["Jmeno"] . "&nbsp" . $uzivatel["Prijmeni"] ?></option>
                        <option value="zmena">Změna</option>
                        <option value="odhlasit">Odhlásit</option>
                    </select>
                </form>

            </div>
        </div>

        <div class="klientskastrana-telo">
            <div class="klientskastrana-menu">
                <form method="post">
                    <button class="klientskastrana-buttonfiltr button" name="filtr" type="submit" value="prehled"><span>Přehled</span></button>
                    <button class="klientskastrana-buttonfiltr button" name="filtr" type="submit" value="<?php echo $_SESSION["tbl_FirmaID"] ?>"><span>Zařízení</span></button>
                    <?php
                    if ($_SESSION["FirmaID"] == 0) {
                    ?>
                        <button class="klientskastrana-buttonfiltr button" name="filtr" type="submit" value="uzivatele"><span>Uživatelé</span></button>
                        <button class="klientskastrana-buttonfiltr button" name="filtr" type="submit" value="nastaveni"><span>Nastaveni</span></button>
                    <?php
                    }
                    ?>
                </form>
                <?php
                if ($_SESSION["vyber"] == "zarizeni") {

                    $typZar = $db->query("SELECT DISTINCT tbltypzar.Nazev, tbltypzar.TypZarID FROM `tblzarizeni`, `tbltypzar` WHERE tblzarizeni.FirmaID = " . $_SESSION["tbl_FirmaID"] . " AND tblzarizeni.TypZarID = tbltypzar.TypZarID;");
                    $umisteni = $db->query("SELECT DISTINCT tblumisteni.Zkratka, tblumisteni.UmisteniID FROM `tblzarizeni`, `tblumisteni` WHERE tblzarizeni.FirmaID = " . $_SESSION["tbl_FirmaID"] . " AND tblzarizeni.UmisteniID = tblumisteni.UmisteniID;");
                    $porizeno = $db->query("SELECT DISTINCT date_format(Porizeno,'%Y') AS `Porizeno` FROM `tblzarizeni` WHERE tblzarizeni.FirmaID = " . $_SESSION["tbl_FirmaID"] . ";");
                ?>
                    <form method="post">
                        <h3 class="klientskastrana-textmenu">Typ zařízení</h3>
                        <?php
                        foreach ($typZar as $key) {
                        ?>
                            <input id="<?php echo $key["TypZarID"] ?>" class="klientskastrana-checkbox" type="checkbox" name="filtr_typZar<?php echo $key["TypZarID"] ?>" value="<?php echo $key["TypZarID"] ?>">
                            <label class="klientskastrana-text09" for="<?php echo $key["TypZarID"] ?>"><?php echo $key["Nazev"] ?></label><br>
                        <?php
                        }
                        ?>
                        <h3 class="klientskastrana-textmenu">Umístění</h3>
                        <?php
                        foreach ($umisteni as $key) {
                        ?>
                            <input id="<?php echo $key["UmisteniID"] ?>" class="klientskastrana-checkbox" type="checkbox" name="filtr_umisteni<?php echo $key["UmisteniID"] ?>" value="<?php echo $key["UmisteniID"] ?>">
                            <label class="klientskastrana-text09" for="<?php echo $key["UmisteniID"] ?>"><?php echo $key["Zkratka"] ?></label><br>
                        <?php
                        }
                        ?>
                        <h3 class="klientskastrana-textmenu">Rok zařazení</h3>
                        <?php
                        foreach ($porizeno as $key) {
                        ?>
                            <input id="<?php echo $key["Porizeno"] ?>" class="klientskastrana-checkbox" type="checkbox" name="filtr_porizeno<?php echo $key["Porizeno"] ?>" value="<?php echo $key["Porizeno"] ?>">
                            <label class="klientskastrana-text09" for="<?php echo $key["Porizeno"] ?>"><?php echo $key["Porizeno"] ?></label><br>
                        <?php
                        }
                        ?>
                        <h3 class="klientskastrana-textmenu">Pracovník</h3>
                        <input type="text" name="filtr_pracovnik" class="klientskastrana-text" placeholder="Jméno">

                        <button class="klientskastrana-buttonfiltr button" name="filtrovat" type="submit" value="filtrovat"><span>Filtrovat</span></button>
                    </form>
                <?php
                }
                ?>
            </div>
            <div class="klientskastrana-hltabulka">
                <?php
                switch ($_SESSION["vyber"]) {
                    case 'zarizeni':
                        if (!empty($_SESSION["filtry"])) {
                ?>
                            <div class="klientskastrana-filtry">
                                <span class="klientskastrana-textfiltry">Filtry:</span>

                                <?php
                                foreach ($_SESSION["filtry"] as $key) {
                                ?>
                                    <span class="klientskastrana-textfiltry"><?php echo $key ?></span>
                                <?php
                                }
                                ?>

                                <form method="post">
                                    <button class="klientskastrana-smazatfiltry button" name="filtrovat" type="submit" value="zrusit_filtry"><span>Zrušit</span></button>
                                </form>
                            </div>
                        <?php
                        }
                        ?>
                        <div class="klientskastrana-tabulka">
                            <table>
                                <form method="post">
                                    <tr>
                                        <th><button class="razeni" type="submit" name="razeni" value="typZar">Typ zařízení &nbsp;&nbsp;&nbsp;&nbsp;<?php echo (mb_strpos($_SESSION["razeni"], "Typ_zarizeni")) ? $_SESSION["razeni_ikona"] : ""; ?></button></th>
                                        <th><button class="razeni" type="submit" name="razeni" value="oznaceni">Označení &nbsp;&nbsp;&nbsp;&nbsp;<?php echo (mb_strpos($_SESSION["razeni"], "Oznaceni")) ? $_SESSION["razeni_ikona"] : ""; ?></button></th>
                                        <th><button class="razeni" type="submit" name="razeni" value="pracovnik">Pracovník &nbsp;&nbsp;&nbsp;&nbsp;<?php echo (mb_strpos($_SESSION["razeni"], "Pracovnik")) ? $_SESSION["razeni_ikona"] : ""; ?></button></th>
                                        <th><button class="razeni" type="submit" name="razeni" value="porizeno">Datum zařazení &nbsp;&nbsp;&nbsp;&nbsp;<?php echo (mb_strpos($_SESSION["razeni"], "Porizeno")) ? $_SESSION["razeni_ikona"] : ""; ?></button></th>
                                        <th><button class="razeni" type="submit" name="razeni" value="umisteni">Umístění &nbsp;&nbsp;&nbsp;&nbsp;<?php echo (mb_strpos($_SESSION["razeni"], "Zkratka")) ? $_SESSION["razeni_ikona"] : ""; ?></button></th>
                                        <th>
                                            <button class="pridat" name="akce" type="submit" value="pridat_zarizeni">Přidat zařízení</button>
                                        </th>
                                    </tr>
                                </form>
                                <?php
                                foreach ($hl_tabulka as $key01) {
                                ?>
                                    <tr>
                                        <td>
                                            <p>
                                                <?php echo $key01['Typ_zarizeni']; ?>
                                            </p>
                                        </td>
                                        <td>
                                            <p>
                                                <?php echo $key01['Oznaceni']; ?>
                                            </p>
                                        </td>
                                        <td>
                                            <p>
                                                <?php echo $key01['Pracovnik']; ?>
                                            </p>
                                        </td>
                                        <td>
                                            <p>
                                                <?php echo $key01['Porizeno_format']; ?>
                                            </p>
                                        </td>
                                        <td>
                                            <p>
                                                <?php echo $key01['Zkratka']; ?>
                                            </p>
                                        </td>
                                        <td>
                                            <form method="POST">
                                                <button class="klientskastrana-buttonbezpozadi" name="akce" type="submit" value="podrobnosti_zarizeni"><svg width="22px" height="auto" viewBox="0 0 423 274" version="1.1" style="fill-rule:evenodd;clip-rule:evenodd;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:1.5;">
                                                        <rect x="0.843" y="0.843" width="421.084" height="51.213" style="stroke:#000;stroke-width:1.69px;" />
                                                        <rect x="0.843" y="110.721" width="421.084" height="51.213" style="stroke:#000;stroke-width:1.54px;" />
                                                        <rect x="0.843" y="221.217" width="421.084" height="51.213" style="stroke:#000;stroke-width:1.67px;" />
                                                    </svg></button>
                                                <input type="hidden" name="ZarizeniID" value="<?php echo $key01['ZarizeniID'] ?>">
                                                <input type="hidden" name="TypZarID" value="<?php echo $key01['TypZarID'] ?>">
                                            </form>
                                        </td>
                                    </tr>
                                <?php

                                }
                                ?>
                            </table>
                        </div>
                    <?php
                        break;
                    case 'prehled':
                    ?>
                        <div class="klientskastrana-tabulka-prehled">
                            <div class="klientskastrana-tabulka-prehled-leva">
                                <div class="O_firme">

                                    <h1><?php echo $_POST["firmaNazev" . $_SESSION["tbl_FirmaID"]] ?>

                                        <?php
                                        if ($_SESSION["FirmaID"] == 0) {
                                        ?>
                                            <form method="POST">
                                                <button class="klientskastrana-buttonupravit" name="akce" type="submit" value="podrobnosti_firma"><svg viewBox="0 0 384 384" version="1.1" style="fill-rule:evenodd;clip-rule:evenodd;stroke-linejoin:round;stroke-miterlimit:2;">
                                                        <path id="upravit" d="M341.191,367.846c-0,-8.572 -7.592,-15.993 -15.994,-15.993l-309.204,-0c-8.402,-0 -15.993,7.421 -15.993,15.993c0,8.573 7.591,15.993 15.993,15.993l309.204,0c8.402,0 15.994,-7.42 15.994,-15.993Zm-256.384,-151.041c-28.447,83.507 -31.56,90.245 -31.56,97.815c0,11.238 9.809,15.972 15.972,15.972c7.506,0 14.245,-2.921 97.538,-31.837l-81.95,-81.95Zm22.604,-22.625l82.014,82.014l188.166,-187.954c4.159,-4.158 6.248,-9.617 6.248,-15.076c0,-5.438 -2.089,-10.897 -6.248,-15.055c-14.756,-14.735 -37.147,-37.126 -51.925,-51.861c-4.158,-4.158 -9.617,-6.248 -15.076,-6.248c-5.416,-0 -10.875,2.09 -15.055,6.248l-188.124,187.932Z" style="fill-rule:nonzero;" />
                                                    </svg></button>
                                                <input type="hidden" name="FirmaID" value="<?php echo $_SESSION["tbl_FirmaID"] ?>">
                                            </form>

                                        <?php
                                        }
                                        ?>
                                    </h1>

                                </div>
                                <div class="klientskastrana-tabulka-prehled-blok">
                                    <h1>Střediska</h1>
                                    <table>
                                        <tr>
                                            <th class="nadpis-tabulka">Zkratka</th>
                                            <th class="nadpis-tabulka">Název</th>
                                            <?php
                                            if ($_SESSION["FirmaID"] == 0) {
                                            ?>
                                                <th>
                                                    <form method="POST">
                                                        <button class="pridat" name="akce" type="submit" value="pridat_stredisko">Přidat středisko</button>
                                                    </form>
                                                </th>
                                            <?php
                                            }
                                            ?>
                                        </tr>
                                        <?php

                                        foreach ($prehled_stredisko as $key) {
                                        ?>
                                            <tr>
                                                <td>
                                                    <p>
                                                        <?php echo $key["Zkratka"]; ?>
                                                    </p>
                                                </td>
                                                <td>
                                                    <p>
                                                        <?php echo $key["Nazev"]; ?>
                                                    </p>
                                                </td>
                                                <?php
                                                if ($_SESSION["FirmaID"] == 0) {
                                                ?>
                                                    <td>
                                                        <form method="POST">
                                                            <button class="klientskastrana-buttonupravit" name="akce" type="submit" value="podrobnosti_stredisko"><svg viewBox="0 0 384 384" version="1.1" style="fill-rule:evenodd;clip-rule:evenodd;stroke-linejoin:round;stroke-miterlimit:2;">
                                                                    <path id="upravit" d="M341.191,367.846c-0,-8.572 -7.592,-15.993 -15.994,-15.993l-309.204,-0c-8.402,-0 -15.993,7.421 -15.993,15.993c0,8.573 7.591,15.993 15.993,15.993l309.204,0c8.402,0 15.994,-7.42 15.994,-15.993Zm-256.384,-151.041c-28.447,83.507 -31.56,90.245 -31.56,97.815c0,11.238 9.809,15.972 15.972,15.972c7.506,0 14.245,-2.921 97.538,-31.837l-81.95,-81.95Zm22.604,-22.625l82.014,82.014l188.166,-187.954c4.159,-4.158 6.248,-9.617 6.248,-15.076c0,-5.438 -2.089,-10.897 -6.248,-15.055c-14.756,-14.735 -37.147,-37.126 -51.925,-51.861c-4.158,-4.158 -9.617,-6.248 -15.076,-6.248c-5.416,-0 -10.875,2.09 -15.055,6.248l-188.124,187.932Z" style="fill-rule:nonzero;" />
                                                                </svg></button>
                                                            <input type="hidden" name="strediskoID" value="<?php echo $key['StrediskoID'] ?>">
                                                        </form>
                                                    </td>
                                                <?php
                                                }
                                                ?>
                                            </tr>
                                        <?php
                                        }
                                        ?>
                                    </table>
                                </div>
                                <div class="klientskastrana-tabulka-prehled-blok">
                                    <h1>Umístění</h1>
                                    <table>
                                        <tr>
                                            <th class="nadpis-tabulka">Zkratka</th>
                                            <th class="nadpis-tabulka">Adresa</th>
                                            <th class="nadpis-tabulka">Wan IP</th>
                                            <th class="nadpis-tabulka">Síť LAN</th>
                                            <?php
                                            if ($_SESSION["FirmaID"] == 0) {
                                            ?>
                                                <th>
                                                    <form method="POST">
                                                        <button class="pridat" name="akce" type="submit" value="pridat_umisteni">Přidat umístění</button>
                                                    </form>
                                                </th>
                                            <?php
                                            }
                                            ?>
                                        </tr>
                                        <?php
                                        foreach ($prehled_umisteni as $key) {
                                        ?>
                                            <tr>
                                                <td>
                                                    <p>
                                                        <?php echo $key["Zkratka"]; ?>
                                                    </p>
                                                </td>
                                                <td>
                                                    <p>
                                                        <?php echo $key["Adresa"]; ?>
                                                    </p>
                                                </td>
                                                <td>
                                                    <p>
                                                        <?php echo $key["WanIP"]; ?>
                                                    </p>
                                                </td>
                                                <td>
                                                    <p>
                                                        <?php echo $key["SitLAN"]; ?>
                                                    </p>
                                                </td>
                                                <?php
                                                if ($_SESSION["FirmaID"] == 0) {
                                                ?>
                                                    <td>
                                                        <form method="POST">
                                                            <button class="klientskastrana-buttonupravit" name="akce" type="submit" value="podrobnosti_umisteni"><svg viewBox="0 0 384 384" version="1.1" style="fill-rule:evenodd;clip-rule:evenodd;stroke-linejoin:round;stroke-miterlimit:2;">
                                                                    <path id="upravit" d="M341.191,367.846c-0,-8.572 -7.592,-15.993 -15.994,-15.993l-309.204,-0c-8.402,-0 -15.993,7.421 -15.993,15.993c0,8.573 7.591,15.993 15.993,15.993l309.204,0c8.402,0 15.994,-7.42 15.994,-15.993Zm-256.384,-151.041c-28.447,83.507 -31.56,90.245 -31.56,97.815c0,11.238 9.809,15.972 15.972,15.972c7.506,0 14.245,-2.921 97.538,-31.837l-81.95,-81.95Zm22.604,-22.625l82.014,82.014l188.166,-187.954c4.159,-4.158 6.248,-9.617 6.248,-15.076c0,-5.438 -2.089,-10.897 -6.248,-15.055c-14.756,-14.735 -37.147,-37.126 -51.925,-51.861c-4.158,-4.158 -9.617,-6.248 -15.076,-6.248c-5.416,-0 -10.875,2.09 -15.055,6.248l-188.124,187.932Z" style="fill-rule:nonzero;" />
                                                                </svg></button>
                                                            <input type="hidden" name="umisteniID" value="<?php echo $key['UmisteniID'] ?>">
                                                        </form>
                                                    </td>
                                                <?php
                                                }
                                                ?>
                                            </tr>
                                        <?php
                                        }
                                        ?>
                                    </table>
                                </div>
                            </div>
                            <div class="klientskastrana-tabulka-prehled-prava">
                                <div class="klientskastrana-tabulka-prehled-blok">
                                    <h1>Uživatelé</h1>
                                    <table>
                                        <tr>
                                            <th class="nadpis-tabulka">Jméno</th>
                                            <th class="nadpis-tabulka">Přijmení</th>
                                            <th class="nadpis-tabulka">Uživatelské jméno</th>
                                            <th class="nadpis-tabulka">Telefon</th>
                                            <th class="nadpis-tabulka">Email</th>
                                        </tr>
                                        <?php
                                        foreach ($prehled_uzivatele as $key) {
                                        ?>
                                            <tr>
                                                <td>
                                                    <p>
                                                        <?php echo $key['Jmeno']; ?>
                                                    </p>
                                                </td>
                                                <td>
                                                    <p>
                                                        <?php echo $key['Prijmeni']; ?>
                                                    </p>
                                                </td>
                                                <td>
                                                    <p>
                                                        <?php echo $key['Uzivatel']; ?>
                                                    </p>
                                                </td>
                                                <td>
                                                    <p>
                                                        <?php echo $key['TelCislo']; ?>
                                                    </p>
                                                </td>
                                                <td>
                                                    <p>
                                                        <?php echo $key['Email']; ?>
                                                    </p>
                                                </td>
                                            </tr>
                                        <?php
                                        }
                                        ?>
                                    </table>
                                    <?php
                                    if ($_SESSION["FirmaID"] == 0) {
                                    ?>
                                        <form method="post">
                                            <button class="zobrazit" name="filtr" type="submit" value="uzivatele"><span>Zobrazit všechny uživatele</span></button>
                                        </form>
                                    <?php
                                    }
                                    ?>
                                </div>

                                <div class="klientskastrana-tabulka-prehled-blok">
                                    <h1>Zařízení</h1>
                                    <table>
                                        <?php
                                        $typy_zarizeni = $db->query("SELECT DISTINCT tbltypzar.TypZarID, tbltypzar.Nazev FROM `tbltypzar`, `tblzarizeni` WHERE tblzarizeni.TypZarID = tbltypzar.TypZarID AND tblzarizeni.FirmaID = " . $_SESSION["tbl_FirmaID"] . ";");
                                        foreach ($typy_zarizeni as $key) {
                                            $pocty_zarizeni = $db->query("SELECT COUNT(`ZarizeniID`) as `Pocet` FROM `tblzarizeni` WHERE FirmaID = " . $_SESSION["tbl_FirmaID"] . " AND TypZarID = " . $key["TypZarID"] . ";")->fetchColumn();
                                        ?>
                                            <tr>
                                                <td>
                                                    <?php
                                                    echo $key["Nazev"];
                                                    ?>
                                                </td>
                                                <td>
                                                    <?php
                                                    echo $pocty_zarizeni;
                                                    ?>
                                                </td>
                                            </tr>
                                        <?php
                                        }
                                        ?>
                                    </table>
                                    <form method="post">
                                        <button class="zobrazit" name="filtr" type="submit" value="<?php echo $_SESSION["tbl_FirmaID"] ?>"><span>Zobrazit všechny zařízení</span></button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    <?php
                        break;
                    case 'uzivatele':
                    ?>
                        <div class="klientskastrana-tabulka">
                            <table>
                                <tr>
                                    <th class="nadpis-tabulka">Firma</th>
                                    <th class="nadpis-tabulka">Jméno</th>
                                    <th class="nadpis-tabulka">Přijmení</th>
                                    <th class="nadpis-tabulka">Uživatelské jméno</th>
                                    <th class="nadpis-tabulka">Telefon</th>
                                    <th class="nadpis-tabulka">Email</th>
                                    <th>
                                        <form method="POST">
                                            <button class="pridat" name="akce" type="submit" value="pridat_uzivatele">Přidat uživatele</button>
                                        </form>
                                    </th>
                                </tr>
                                <?php
                                foreach ($hl_tabulka as $key) {
                                ?>
                                    <tr>
                                        <td>
                                            <p>
                                                <?php echo $key['Nazev']; ?>
                                            </p>
                                        </td>
                                        <td>
                                            <p>
                                                <?php echo $key['Jmeno']; ?>
                                            </p>
                                        </td>
                                        <td>
                                            <p>
                                                <?php echo $key['Prijmeni']; ?>
                                            </p>
                                        </td>
                                        <td>
                                            <p>
                                                <?php echo $key['Uzivatel']; ?>
                                            </p>
                                        </td>
                                        <td>
                                            <p>
                                                <?php echo $key['TelCislo']; ?>
                                            </p>
                                        </td>
                                        <td>
                                            <p>
                                                <?php echo $key['Email']; ?>
                                            </p>
                                        </td>
                                        <td>
                                            <form method="POST">
                                                <button class="klientskastrana-buttonbezpozadi" name="akce" type="submit" value="podrobnosti_uzivatel"><svg width="22px" height="auto" viewBox="0 0 423 274" version="1.1" style="fill-rule:evenodd;clip-rule:evenodd;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:1.5;">
                                                        <rect x="0.843" y="0.843" width="421.084" height="51.213" style="stroke:#000;stroke-width:1.69px;" />
                                                        <rect x="0.843" y="110.721" width="421.084" height="51.213" style="stroke:#000;stroke-width:1.54px;" />
                                                        <rect x="0.843" y="221.217" width="421.084" height="51.213" style="stroke:#000;stroke-width:1.67px;" />
                                                    </svg></button>
                                                <input type="hidden" name="UzivatelID" value="<?php echo $key['UzivatelID'] ?>">
                                            </form>
                                        </td>
                                    </tr>
                                <?php

                                }
                                ?>
                            </table>
                        </div>
                    <?php
                        break;
                    case 'nastaveni':
                    ?>
                        <div class="klientskastrana-tabulka-nastaveni">
                            <div class="klientskastrana-tabulka-prehled-blok">
                                <h1>Firmy</h1>
                                <table>
                                    <tr>
                                        <th class="nadpis-tabulka">Název</th>
                                        <th>
                                            <form method="POST">
                                                <button class="pridat" name="akce" type="submit" value="pridat_firmu">Přidat firmu</button>
                                            </form>
                                        </th>
                                    </tr>
                                    <?php

                                    foreach ($nastaveni_firmy as $key) {
                                    ?>
                                        <tr>
                                            <td>
                                                <p>
                                                    <?php echo $key["Nazev"]; ?>
                                                </p>
                                            </td>
                                            <td>
                                                <form method="POST">
                                                    <button class="klientskastrana-buttonupravit" name="akce" type="submit" value="podrobnosti_firma"><svg viewBox="0 0 384 384" version="1.1" style="fill-rule:evenodd;clip-rule:evenodd;stroke-linejoin:round;stroke-miterlimit:2;">
                                                            <path id="upravit" d="M341.191,367.846c-0,-8.572 -7.592,-15.993 -15.994,-15.993l-309.204,-0c-8.402,-0 -15.993,7.421 -15.993,15.993c0,8.573 7.591,15.993 15.993,15.993l309.204,0c8.402,0 15.994,-7.42 15.994,-15.993Zm-256.384,-151.041c-28.447,83.507 -31.56,90.245 -31.56,97.815c0,11.238 9.809,15.972 15.972,15.972c7.506,0 14.245,-2.921 97.538,-31.837l-81.95,-81.95Zm22.604,-22.625l82.014,82.014l188.166,-187.954c4.159,-4.158 6.248,-9.617 6.248,-15.076c0,-5.438 -2.089,-10.897 -6.248,-15.055c-14.756,-14.735 -37.147,-37.126 -51.925,-51.861c-4.158,-4.158 -9.617,-6.248 -15.076,-6.248c-5.416,-0 -10.875,2.09 -15.055,6.248l-188.124,187.932Z" style="fill-rule:nonzero;" />
                                                        </svg></button>
                                                    <input type="hidden" name="FirmaID" value="<?php echo $key['FirmaID'] ?>">
                                                </form>
                                            </td>
                                        </tr>
                                    <?php
                                    }
                                    ?>
                                </table>
                            </div>
                            <div class="klientskastrana-tabulka-prehled-blok">
                                <h1>Automatické události</h1>
                                <table>
                                    <tr>
                                        <th class="nadpis-tabulka">Název</th>
                                        <th class="nadpis-tabulka">Popis</th>
                                        <th></th>
                                    </tr>
                                    <?php

                                    foreach ($nastaveni_zurnal as $key) {
                                    ?>
                                        <tr>
                                            <td>
                                                <p>
                                                    <?php echo $key["Nazev"]; ?>
                                                </p>
                                            </td>
                                            <td>
                                                <p>
                                                    <?php echo $key["Popis"]; ?>
                                                </p>
                                            </td>
                                            <td>
                                                <form method="POST">
                                                    <button class="klientskastrana-buttonupravit" name="akce" type="submit" value="podrobnosti_zurnal"><svg viewBox="0 0 384 384" version="1.1" style="fill-rule:evenodd;clip-rule:evenodd;stroke-linejoin:round;stroke-miterlimit:2;">
                                                            <path id="upravit" d="M341.191,367.846c-0,-8.572 -7.592,-15.993 -15.994,-15.993l-309.204,-0c-8.402,-0 -15.993,7.421 -15.993,15.993c0,8.573 7.591,15.993 15.993,15.993l309.204,0c8.402,0 15.994,-7.42 15.994,-15.993Zm-256.384,-151.041c-28.447,83.507 -31.56,90.245 -31.56,97.815c0,11.238 9.809,15.972 15.972,15.972c7.506,0 14.245,-2.921 97.538,-31.837l-81.95,-81.95Zm22.604,-22.625l82.014,82.014l188.166,-187.954c4.159,-4.158 6.248,-9.617 6.248,-15.076c0,-5.438 -2.089,-10.897 -6.248,-15.055c-14.756,-14.735 -37.147,-37.126 -51.925,-51.861c-4.158,-4.158 -9.617,-6.248 -15.076,-6.248c-5.416,-0 -10.875,2.09 -15.055,6.248l-188.124,187.932Z" style="fill-rule:nonzero;" />
                                                        </svg></button>
                                                    <input type="hidden" name="popisZurnalID" value="<?php echo $key['PopisZurnalID'] ?>">
                                                </form>
                                            </td>
                                        </tr>
                                    <?php
                                    }
                                    ?>
                                </table>
                            </div>
                        </div>
                <?php
                        break;
                    default:

                        break;
                }
                ?>

            </div>
        </div>
    </div>
    <?php

    echo $_SESSION["podokno"];
    if (empty($_SESSION["podokno"])) {
        $_SESSION["podokno"] = "";
    }
    if ($_SESSION["podokno"] == "podrobnosti_zarizeni")
        include("Podrobnosti_zarizeni.php");

    if ($_SESSION["podokno"] == "podrobnosti_umisteni")
        include("Podrobnosti_umisteni.php");

    if ($_SESSION["podokno"] == "podrobnosti_uzivatele")
        include("Podrobnosti_uzivatele.php");

    if ($_SESSION["podokno"] == "podrobnosti_stredisko")
        include("Podrobnosti_stredisko.php");

    if ($_SESSION["podokno"] == "podrobnosti_firma")
        include("Podrobnosti_firmy.php");

    if ($_SESSION["podokno"] == "podrobnosti_zurnal")
        include("Podrobnosti_zurnal.php");

    if ($_SESSION["podokno"] == "pridat_uzivatele")
        include("Pridani_uzivatele.php");

    if ($_SESSION["podokno"] == "pridat_firmu")
        include("Pridani_firmy.php");

    if ($_SESSION["podokno"] == "pridat_zarizeni")
        include("Pridani_zarizeni.php");

    if ($_SESSION["podokno"] == "pridat_umisteni")
        include("Pridani_umisteni.php");

    if ($_SESSION["podokno"] == "pridat_stredisko")
        include("Pridani_stredisko.php");
    ?>
</body>

</html>
<?php
function filtry_razeni($db)
{
    $typZar = $db->query("SELECT DISTINCT tbltypzar.Nazev, tbltypzar.TypZarID FROM `tblzarizeni`, `tbltypzar` WHERE tblzarizeni.FirmaID = " . $_SESSION["tbl_FirmaID"] . " AND tblzarizeni.TypZarID = tbltypzar.TypZarID;");
    $umisteni = $db->query("SELECT DISTINCT tblumisteni.Zkratka, tblumisteni.UmisteniID FROM `tblzarizeni`, `tblumisteni` WHERE tblzarizeni.FirmaID = " . $_SESSION["tbl_FirmaID"] . " AND tblzarizeni.UmisteniID = tblumisteni.UmisteniID;");
    $porizeno = $db->query("SELECT DISTINCT date_format(Porizeno,'%Y') AS `Porizeno` FROM `tblzarizeni` WHERE tblzarizeni.FirmaID = " . $_SESSION["tbl_FirmaID"] . ";");

    $podminka_typZar = "";
    $podminka_umisteni = "";
    $podminka_porizeno = "";
    $filtry = "";
    $pocet_podminek = 0;
    $podminka = "";

    foreach ($typZar as $key) {
        if (!empty($_POST["filtr_typZar" . $key["TypZarID"]])) {
            $pocet_podminek++;
            if ($pocet_podminek == 1) {
                $podminka_typZar = " TypZarID = " . $key["TypZarID"];
            } elseif ($pocet_podminek > 1) {
                $podminka_typZar .= " OR TypZarID = " . $key["TypZarID"];
            }
            $filtry .= $key["Nazev"] . ":";
        }
    }

    $pocet_podminek = 0;
    foreach ($umisteni as $key) {
        if (!empty($_POST["filtr_umisteni" . $key["UmisteniID"]])) {
            $pocet_podminek++;
            if ($pocet_podminek == 1) {
                $podminka_umisteni = " UmisteniID = " . $key["UmisteniID"];
            } elseif ($pocet_podminek > 1) {
                $podminka_umisteni .= " OR UmisteniID = " . $key["UmisteniID"];
            }
            $filtry .= $key["Zkratka"] . ":";
        }
    }

    $pocet_podminek = 0;
    foreach ($porizeno as $key) {
        $porizeno = $key;
        if (!empty($_POST["filtr_porizeno" . $porizeno["Porizeno"]])) {
            $zarizeni = $db->query("SELECT ZarizeniID FROM `tblzarizeni` WHERE date_format(Porizeno,'%Y') = " . $porizeno["Porizeno"] . ";");
            foreach ($zarizeni as $key) {
                $pocet_podminek++;
                if ($pocet_podminek == 1) {
                    $podminka_porizeno = " ZarizeniID = " . $key["ZarizeniID"];
                } elseif ($pocet_podminek > 1) {
                    $podminka_porizeno .= " OR ZarizeniID = " . $key["ZarizeniID"];
                }
            }
            $filtry .= $porizeno["Porizeno"] . ":";
        }
    }
    if (!empty($podminka_typZar))
        $podminka .=  $podminka_typZar . " ) AND (";

    if (!empty($podminka_umisteni))
        $podminka .=  $podminka_umisteni . " ) AND (";

    if (!empty($podminka_porizeno))
        $podminka .= $podminka_porizeno . " ) AND (";

    if (!empty($_POST["filtr_pracovnik"])) {
        $podminka .= " Pracovnik LIKE \"%" . $_POST["filtr_pracovnik"] . "%\")";
        $filtry .= "Pracovník = " . $_POST["filtr_pracovnik"] . ":";
    }

    if (!empty($podminka_typZar) || !empty($podminka_umisteni) || !empty($podminka_porizeno) || !empty($_POST["filtr_pracovnik"])) {
        if (empty($_POST["filtr_pracovnik"]))
            $podminka = substr($podminka, 0, strrpos($podminka, " AND ("));

        $zacatek = " AND (";
        $_SESSION["podminka"] .= $zacatek . $podminka;
    }

    if (!empty($filtry))
        $_SESSION["filtry"] = explode(":", $filtry);

    if (empty($_SESSION["razeni"])) {
        $_SESSION["razeni"] = "";
        $_SESSION["razeni_ikona"] = "";
    }
    if ($_POST["razeni"] == "typZar") {
        if ($_SESSION["razeni"] == "ORDER BY Typ_zarizeni") {
            $_SESSION["razeni"] = "ORDER BY Typ_zarizeni DESC";
            $_SESSION["razeni_ikona"] = "<svg width='10px' height='auto' viewBox='0 0 277 416' version='1.1' style='fill-rule:evenodd;clip-rule:evenodd;stroke-linejoin:round;stroke-miterlimit:2;'><path d='M138.37,0l138.371,155.667l-103.778,-0l-0,259.444l-69.185,0l-0,-259.444l-103.778,-0l138.37,-155.667Z' style='fill:black;fill-rule:nonzero;'/></svg>";
        } elseif ($_SESSION["razeni"] == "ORDER BY Typ_zarizeni DESC") {
            $_SESSION["razeni"] = "";
            $_SESSION["razeni_ikona"] = "";
        } else {
            $_SESSION["razeni"] = "ORDER BY Typ_zarizeni";
            $_SESSION["razeni_ikona"] = "<svg width='10px' height='auto' viewBox='0 0 277 416' version='1.1' style='fill-rule:evenodd;clip-rule:evenodd;stroke-linejoin:round;stroke-miterlimit:2;'><path d='M138.37,415.111l-138.37,-155.667l103.778,0l-0,-259.444l69.185,0l-0,259.444l103.778,0l-138.371,155.667Z' style='fill:black;fill-rule:nonzero;'/></svg>";
        }
    } elseif ($_POST["razeni"] == "oznaceni") {
        if ($_SESSION["razeni"] == "ORDER BY Oznaceni") {
            $_SESSION["razeni"] = "ORDER BY Oznaceni DESC";
            $_SESSION["razeni_ikona"] = "<svg width='10px' height='auto' viewBox='0 0 277 416' version='1.1' style='fill-rule:evenodd;clip-rule:evenodd;stroke-linejoin:round;stroke-miterlimit:2;'><path d='M138.37,0l138.371,155.667l-103.778,-0l-0,259.444l-69.185,0l-0,-259.444l-103.778,-0l138.37,-155.667Z' style='fill:black;fill-rule:nonzero;'/></svg>";
        } elseif ($_SESSION["razeni"] == "ORDER BY Oznaceni DESC") {
            $_SESSION["razeni"] = "";
            $_SESSION["razeni_ikona"] = "";
        } else {
            $_SESSION["razeni"] = "ORDER BY Oznaceni";
            $_SESSION["razeni_ikona"] = "<svg width='10px' height='auto' viewBox='0 0 277 416' version='1.1' style='fill-rule:evenodd;clip-rule:evenodd;stroke-linejoin:round;stroke-miterlimit:2;'><path d='M138.37,415.111l-138.37,-155.667l103.778,0l-0,-259.444l69.185,0l-0,259.444l103.778,0l-138.371,155.667Z' style='fill:black;fill-rule:nonzero;'/></svg>";
        }
    } elseif ($_POST["razeni"] == "pracovnik") {
        if ($_SESSION["razeni"] == "ORDER BY Pracovnik") {
            $_SESSION["razeni"] = "ORDER BY Pracovnik DESC";
            $_SESSION["razeni_ikona"] = "<svg width='10px' height='auto' viewBox='0 0 277 416' version='1.1' style='fill-rule:evenodd;clip-rule:evenodd;stroke-linejoin:round;stroke-miterlimit:2;'><path d='M138.37,0l138.371,155.667l-103.778,-0l-0,259.444l-69.185,0l-0,-259.444l-103.778,-0l138.37,-155.667Z' style='fill:black;fill-rule:nonzero;'/></svg>";
        } elseif ($_SESSION["razeni"] == "ORDER BY Pracovnik DESC") {
            $_SESSION["razeni"] = "";
            $_SESSION["razeni_ikona"] = "";
        } else {
            $_SESSION["razeni"] = "ORDER BY Pracovnik";
            $_SESSION["razeni_ikona"] = "<svg width='10px' height='auto' viewBox='0 0 277 416' version='1.1' style='fill-rule:evenodd;clip-rule:evenodd;stroke-linejoin:round;stroke-miterlimit:2;'><path d='M138.37,415.111l-138.37,-155.667l103.778,0l-0,-259.444l69.185,0l-0,259.444l103.778,0l-138.371,155.667Z' style='fill:black;fill-rule:nonzero;'/></svg>";
        }
    } elseif ($_POST["razeni"] == "porizeno") {
        if ($_SESSION["razeni"] == "ORDER BY Porizeno") {
            $_SESSION["razeni"] = "ORDER BY Porizeno DESC";
            $_SESSION["razeni_ikona"] = "<svg width='10px' height='auto' viewBox='0 0 277 416' version='1.1' style='fill-rule:evenodd;clip-rule:evenodd;stroke-linejoin:round;stroke-miterlimit:2;'><path d='M138.37,0l138.371,155.667l-103.778,-0l-0,259.444l-69.185,0l-0,-259.444l-103.778,-0l138.37,-155.667Z' style='fill:black;fill-rule:nonzero;'/></svg>";
        } elseif ($_SESSION["razeni"] == "ORDER BY Porizeno DESC") {
            $_SESSION["razeni"] = "";
            $_SESSION["razeni_ikona"] = "";
        } else {
            $_SESSION["razeni"] = "ORDER BY Porizeno";
            $_SESSION["razeni_ikona"] = "<svg width='10px' height='auto' viewBox='0 0 277 416' version='1.1' style='fill-rule:evenodd;clip-rule:evenodd;stroke-linejoin:round;stroke-miterlimit:2;'><path d='M138.37,415.111l-138.37,-155.667l103.778,0l-0,-259.444l69.185,0l-0,259.444l103.778,0l-138.371,155.667Z' style='fill:black;fill-rule:nonzero;'/></svg>";
        }
    } elseif ($_POST["razeni"] == "umisteni") {
        if ($_SESSION["razeni"] == "ORDER BY Zkratka") {
            $_SESSION["razeni"] = "ORDER BY Zkratka DESC";
            $_SESSION["razeni_ikona"] = "<svg width='10px' height='auto' viewBox='0 0 277 416' version='1.1' style='fill-rule:evenodd;clip-rule:evenodd;stroke-linejoin:round;stroke-miterlimit:2;'><path d='M138.37,0l138.371,155.667l-103.778,-0l-0,259.444l-69.185,0l-0,-259.444l-103.778,-0l138.37,-155.667Z' style='fill:black;fill-rule:nonzero;'/></svg>";
        } elseif ($_SESSION["razeni"] == "ORDER BY Zkratka DESC") {
            $_SESSION["razeni"] = "";
            $_SESSION["razeni_ikona"] = "";
        } else {
            $_SESSION["razeni"] = "ORDER BY Zkratka";
            $_SESSION["razeni_ikona"] = "<svg width='10px' height='auto' viewBox='0 0 277 416' version='1.1' style='fill-rule:evenodd;clip-rule:evenodd;stroke-linejoin:round;stroke-miterlimit:2;'><path d='M138.37,415.111l-138.37,-155.667l103.778,0l-0,-259.444l69.185,0l-0,259.444l103.778,0l-138.371,155.667Z' style='fill:black;fill-rule:nonzero;'/></svg>";
        }
    }

    return $hl_tabulka = "SELECT * FROM `hl_tabulka` " . $_SESSION["podminka"] . " " . /*$_SESSION["filtr"]*/  " " . $_SESSION["razeni"] . ";";

    //echo "HLAVNÍ TABULKA:  " . $hl_tabulka."<br>";

}


?>