<?php
session_start();

const DSN = "mysql:host=localhost;dbname=skolni_dbs;charset=utf8";
const USERNAME = "root";
const PASSWORD = "";

try {
    $db = new PDO(DSN, USERNAME, PASSWORD);
} catch (PDOException $e) {
    echo "<h1>Připojení k databázi se nezdařilo!</h1>";
    echo $e->getMessage();
    return;
}

$uzivatel = $db->query("SELECT `Uzivatel`, `Heslo`, `TelCislo`, `Email` FROM `tbluzivatel` WHERE UzivatelID = " . $_SESSION["UzivatelID"] . ";")->fetch();
$email = $uzivatel["Email"];
$telCislo = $uzivatel["TelCislo"];

if (empty($_POST["akce"])) {
    $_POST["akce"] = "";
} elseif ($_POST["akce"] == "zpet") {
    header("Location: Hlavni_strana.php");
} elseif ($_POST["akce"] == "zmenit") {
    $zmena = "";
    if (!empty($_POST["heslo"])) {
        $heslo = crypt($_POST["heslo"], PASSWORD_DEFAULT);
        $zmena .= "`Heslo`='" . $heslo . "'";
    }
    if ($_POST["email"] != $email) {
        if (!empty($zmena)) {
            $zmena .= " , `Email`='" . $_POST["email"] . "'";
        } else {
            $zmena .= "`Email`='" . $_POST["email"] . "'";
        }
    }
    if ($_POST["telefon"] != $telCislo) {
        if (!empty($zmena)) {
            $zmena .= " , `TelCislo`='" . $_POST["telefon"] . "'";
        } else {
            $zmena .= "`TelCislo`='" . $_POST["telefon"] . "'";
        }
    }
    if (!empty($zmena)) {
        $update_hesla = $db->exec("UPDATE `tbluzivatel` SET " . $zmena . " WHERE UzivatelID = " . $_SESSION["UzivatelID"] . ";");
        header("Location: Hlavni_strana.php");
        exit();
    } else {
        echo "<h3 class=error>Nic nebylo změněno!</h3>";
    }
}

?>
<!DOCTYPE html>
<html lang="cs">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>TB servis</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type='text/css' href="prihlaseni.css">
</head>

<body>
    <div class="vsechno">
        <div class="hlavicka">
            <h1 class="nadpis">Změna údajů:</h1>
            <svg width="174px" height="174px" viewBox="0 0 1489 1489" style="fill-rule:evenodd;clip-rule:evenodd;stroke-linejoin:round;stroke-miterlimit:2;left: 37px;bottom: -38px;z-index: 100;position: absolute;object-fit: cover;">
                <circle cx="743.6" cy="742.654" r="720.415" style="fill:#fff;" />
                <path d="M307.496,1228.35c-26.075,0 -47.244,-21.169 -47.244,-47.244c-0,-26.074 21.169,-47.244 47.244,-47.244l708.252,0c65.187,0 118.11,-52.923 118.11,-118.11c0,-65.187 -52.923,-118.11 -118.11,-118.11c0,-0 -116.736,-0 -116.736,-0l25.318,-94.488l91.418,-0c65.187,-0 118.11,-52.924 118.11,-118.111c0,-65.186 -52.923,-118.11 -118.11,-118.11l-77.033,0l-139.25,519.685l-97.821,0l164.567,-614.173l149.537,-0c117.336,-0 212.598,95.262 212.598,212.598c0,66.753 -30.831,126.361 -79.024,165.355c48.193,38.993 79.024,98.601 79.024,165.354c0,117.336 -95.262,212.598 -212.598,212.598l-708.252,0Zm-47.244,-708.661c-0,0 -0.409,-210.484 -0.409,-212.598c-0,-26.075 21.169,-47.244 47.244,-47.244l874.015,-0c26.075,-0 47.244,21.169 47.244,47.244c0,26.074 -21.169,47.244 -47.244,47.244l-826.362,-0l-0,118.11l389.194,-0l-164.567,614.173l-97.821,0l139.249,-519.685l-313.504,0c-25.962,0 -47.039,-21.169 -47.039,-47.244l-0,0Z" />
                <path d="M744.094,0c410.677,0 744.095,333.418 744.095,744.094c-0,410.677 -333.418,744.095 -744.095,744.095c-410.676,-0 -744.094,-333.418 -744.094,-744.095c0,-410.676 333.418,-744.094 744.094,-744.094Zm0,23.622c397.64,0 720.473,322.833 720.473,720.472c-0,397.64 -322.833,720.473 -720.473,720.473c-397.639,-0 -720.472,-322.833 -720.472,-720.473c0,-397.639 322.833,-720.472 720.472,-720.472Z" />
            </svg>
        </div>
        <div class="telo">
            <form method="post" class="form">
                <label class="text">Uživatelské jméno:</label>
                <input class="textinput input" name="username" type="text" value="<?php echo $uzivatel["Uzivatel"] ?>" disabled>

                <label class="text">Heslo:</label>
                <input class="textinput input" name="heslo" type="password" placeholder="Nové heslo" value="">

                <label class="text">Email:</label>
                <input class="textinput input" name="email" type="text" placeholder="email" value="<?php echo $email ?>">

                <label class="text">Telefon:</label>
                <input class="textinput input" name="telefon" type="text" placeholder="telefon" value="<?php echo $telCislo ?>">

                <button class="button button" name="akce" type="submit" value="zmenit">Uložit změny</button>
                <button class="button" type="button" onclick="window.location.href= 'Hlavni_strana.php'">Zpět</button>
            </form>
        </div>
    </div>
</body>

</html>