<!DOCTYPE html>
<html lang="cs">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>TB servis</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type='text/css' href="verejna.css">

    <script src="https://api.mapy.cz/loader.js"></script>
    <script>
        Loader.load()
    </script>
</head>

<body>

    <div>
        <div class="verejnastranka-container">
            <div id="hlavicka" class="verejnastranka-hlavicka">
                <svg class="telefon-hlavicka" viewBox="0 0 597 993" version="1.1">
                    <path d="M596.346,149.087c0,-82.284 -66.803,-149.087 -149.086,-149.087l-298.173,0c-82.284,0 -149.087,66.803 -149.087,149.087l0,694.22c0,82.283 66.803,149.086 149.087,149.086l298.173,0c82.283,0 149.086,-66.803 149.086,-149.086l0,-694.22Z" />
                    <rect x="102.597" y="122.463" width="391.495" height="673.735" style="fill:#fff;" />
                    <circle cx="292.892" cy="898.276" r="53.257" style="fill:#fff;" />
                </svg>
                <span class="telefon">+420&nbsp;727&nbsp;954&nbsp;616</span>

                <div id="menu" class="menu-long">
                    <a href="#o_nas" class="menu-item">O&nbsp;nás</a>
                    <a href="#nase_sluzby" class="menu-item">Naše&nbsp;služby</a>
                    <a href="#kontakt" class="menu-item">Kontakty</a>
                    <a href="javascript:void(0);" class="ikona" onclick="menuFunction()">
                        <svg viewBox="0 0 443 324" version="1.1">
                            <g>
                                <rect x="10.95" y="10.95" width="421.084" height="51.213" style="stroke:#000;stroke-width:21.9px;" />
                                <rect x="10.95" y="141.827" width="421.084" height="51.213" style="stroke:#000;stroke-width:21.9px;" />
                                <rect x="10.95" y="261.324" width="421.084" height="51.213" style="stroke:#000;stroke-width:21.9px;" />
                            </g>
                        </svg>
                    </a>
                </div>

                <script>
                    function menuFunction() {
                        var x = document.getElementById("menu");
                        if (x.className === "menu-long") {
                            x.className = " menu-short";
                        } else {
                            x.className = "menu-long";
                        }
                    }
                </script>

                <button type="button" class="prihlaseni" onclick="window.location.href= './Klientska/Hlavni_strana.php'">
                    <svg viewBox="0 0 679 773" version="1.1">
                        <g>
                            <ellipse cx="339.613" cy="223.383" rx="182.754" ry="223.383" />
                            <clipPath id="_clip1">
                                <rect x="0" y="473.802" width="678.287" height="298.947" />
                            </clipPath>
                            <g clip-path="url(#_clip1)">
                                <ellipse cx="339.144" cy="808.913" rx="339.144" ry="335.11" />
                            </g>
                            <path d="M253.446,400.693c-0,0 42.962,85.409 -24.946,105.676c-67.909,20.267 210.654,2.895 210.654,2.895c-0,0 -70.68,-37.638 -1.386,-127.39c69.294,-89.752 -184.322,18.819 -184.322,18.819Z" />
                        </g>
                    </svg>
                </button>
                <svg class="logo-hlavicka" version="1.1" viewBox="0 0 1489 1489">
                    <circle cx="743.6" cy="742.654" r="720.415" style="fill:#fff;" />
                    <path d="M307.496,1228.35c-26.075,0 -47.244,-21.169 -47.244,-47.244c-0,-26.074 21.169,-47.244 47.244,-47.244l708.252,0c65.187,0 118.11,-52.923 118.11,-118.11c0,-65.187 -52.923,-118.11 -118.11,-118.11c0,-0 -116.736,-0 -116.736,-0l25.318,-94.488l91.418,-0c65.187,-0 118.11,-52.924 118.11,-118.111c0,-65.186 -52.923,-118.11 -118.11,-118.11l-77.033,0l-139.25,519.685l-97.821,0l164.567,-614.173l149.537,-0c117.336,-0 212.598,95.262 212.598,212.598c0,66.753 -30.831,126.361 -79.024,165.355c48.193,38.993 79.024,98.601 79.024,165.354c0,117.336 -95.262,212.598 -212.598,212.598l-708.252,0Zm-47.244,-708.661c-0,0 -0.409,-210.484 -0.409,-212.598c-0,-26.075 21.169,-47.244 47.244,-47.244l874.015,-0c26.075,-0 47.244,21.169 47.244,47.244c0,26.074 -21.169,47.244 -47.244,47.244l-826.362,-0l-0,118.11l389.194,-0l-164.567,614.173l-97.821,0l139.249,-519.685l-313.504,0c-25.962,0 -47.039,-21.169 -47.039,-47.244l-0,0Z" />
                    <path d="M744.094,0c410.677,0 744.095,333.418 744.095,744.094c-0,410.677 -333.418,744.095 -744.095,744.095c-410.676,-0 -744.094,-333.418 -744.094,-744.095c0,-410.676 333.418,-744.094 744.094,-744.094Zm0,23.622c397.64,0 720.473,322.833 720.473,720.472c-0,397.64 -322.833,720.473 -720.473,720.473c-397.639,-0 -720.472,-322.833 -720.472,-720.473c0,-397.639 322.833,-720.472 720.472,-720.472Z" />
                </svg>
            </div>
            <div class="verejnastranka-body">
                <img alt="image" src="pozadi01.jpg" class="pozadi" />
                <div id="o_nas" class="popisblok">
                    <h1>
                        Služby v oblasti informačních technologií
                    </h1>
                    <span class="text">
                        Lorem ipsum dolor sit amet, consectetuer adipiscing elit. In rutrum.
                        Suspendisse sagittis ultrices augue. Sed ut perspiciatis unde omnis
                        iste natus error sit voluptatem accusantium doloremque laudantium,
                        totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et
                        quasi architecto beatae vitae dicta sunt explicabo. Nullam lectus
                    </span>
                </div>
                <div class="popisodrazky">
                    <ul>
                        <li class="list-item">
                            <span>Návrhy řešení</span>
                        </li>
                        <li class="list-item">
                            <span>Servis</span>
                        </li>
                        <li class="list-item">
                            <span>Poradenství a konzultace</span>
                        </li>
                        <li class="list-item">
                            <span>Počítačové sítě</span>
                        </li>
                        <li class="list-item">
                            <span>Správa dat, zálohování, ...</span>
                        </li>
                        <li class="vzdalena-podpora">
                            <a href="https://get.teamviewer.com/tb_quick" target="_blank">Vzdálená podpora</a>
                        </li>
                    </ul>
                </div>
                <div class="nasesluzby">
                    <div id="nase_sluzby" class="nadpis-pozadi">
                        <h2>Naše služby</h2>
                    </div>
                    <div class="verejnastranka-sluzba1">
                        <div class="verejnastranka-nadpis-sluzba">
                            <h3><svg width="auto" height="100px" viewBox="0 0 2068 2068" version="1.1" style="padding-top:10px;fill-rule:evenodd;clip-rule:evenodd;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:1.5;">
                                    <circle cx="1033.79" cy="1033.79" r="1019.21" style="fill:none;stroke:#000;stroke-width:29.17px;" />
                                    <path d="M1195.04,268.05c-0,-18.017 -14.628,-32.644 -32.644,-32.644l-234.943,-0c-18.017,-0 -32.644,14.627 -32.644,32.644l0,152.337c0,18.017 14.627,32.644 32.644,32.644l234.943,0c18.016,0 32.644,-14.627 32.644,-32.644l-0,-152.337Z" style="fill:#fff;stroke:#000;stroke-width:26.3px;" />
                                    <path d="M1002.28,1815.56c14.444,-0 26.17,-11.726 26.17,-26.17l-0,-247.284c-0,-14.443 -11.726,-26.169 -26.17,-26.169l-122.125,-0c-14.443,-0 -26.169,11.726 -26.169,26.169l-0,247.284c-0,14.444 11.726,26.17 26.169,26.17l122.125,-0Z" style="fill:#fff;stroke:#000;stroke-width:26.3px;" />
                                    <path d="M1068.63,1811.89c14.14,-0 25.62,-11.48 25.62,-25.621l0,-124.761c0,-14.14 -11.48,-25.62 -25.62,-25.62l-51.241,-0c-14.141,-0 -25.621,11.48 -25.621,25.62l0,124.761c0,14.141 11.48,25.621 25.621,25.621l51.241,-0Z" style="fill:#fff;stroke:#000;stroke-width:26.3px;" />
                                    <path d="M1161.64,738.726c0,-12.371 -10.043,-22.413 -22.413,-22.413l-735.209,-0c-12.37,-0 -22.413,10.042 -22.413,22.413l0,127.581c0,12.37 10.043,22.413 22.413,22.413l735.209,0c12.37,0 22.413,-10.043 22.413,-22.413l0,-127.581Z" />
                                    <path d="M1161.64,931.822c0,-12.37 -10.043,-22.413 -22.413,-22.413l-735.209,-0c-12.37,-0 -22.413,10.043 -22.413,22.413l0,127.581c0,12.37 10.043,22.413 22.413,22.413l735.209,0c12.37,0 22.413,-10.043 22.413,-22.413l0,-127.581Z" />
                                    <path d="M1161.64,1120.98c0,-12.37 -10.043,-22.413 -22.413,-22.413l-735.209,0c-12.37,0 -22.413,10.043 -22.413,22.413l0,127.582c0,12.37 10.043,22.413 22.413,22.413l735.209,-0c12.37,-0 22.413,-10.043 22.413,-22.413l0,-127.582Z" />
                                    <path d="M1217.35,443.583c0,-11.168 -9.067,-20.236 -20.236,-20.236l-303.544,0c-11.169,0 -20.237,9.068 -20.237,20.236l0,40.473c0,11.169 9.068,20.236 20.237,20.236l303.544,0c11.169,0 20.236,-9.067 20.236,-20.236l0,-40.473Z" style="fill:#fff;stroke:#000;stroke-width:26.3px;" />
                                    <path id="Cloud" d="M1791.56,966.185c-2.135,-39.391 -43.024,-70.845 -93.305,-70.845c-37.473,0 -69.714,17.499 -84.635,42.694c-7.532,-3.631 -16.29,-5.841 -25.759,-5.841c-26.844,-0 -48.563,16.84 -49.658,37.874c-22.913,8.174 -38.907,26.375 -38.907,47.574c-0,28.818 29.503,52.176 65.892,52.176l215.851,-0c36.412,-0 65.926,-23.358 65.926,-52.176c-0,-25.983 -24.019,-47.461 -55.405,-51.456Z" style="fill:#fff;stroke:#000;stroke-width:23.37px;stroke-linecap:butt;stroke-miterlimit:2;" />
                                    <circle cx="823.798" cy="802.6" r="22.647" style="fill:#fff;" />
                                    <circle cx="823.798" cy="995.027" r="22.647" style="fill:#fff;" />
                                    <circle cx="823.798" cy="1187.45" r="22.647" style="fill:#fff;" />
                                    <circle cx="928.001" cy="802.6" r="22.647" style="fill:#fff;" />
                                    <circle cx="928.001" cy="995.027" r="22.647" style="fill:#fff;" />
                                    <circle cx="928.001" cy="1187.45" r="22.647" style="fill:#fff;" />
                                    <circle cx="1031.93" cy="802.6" r="22.647" style="fill:#fff;" />
                                    <circle cx="1031.93" cy="995.027" r="22.647" style="fill:#fff;" />
                                    <circle cx="1031.93" cy="1187.45" r="22.647" style="fill:#fff;" />
                                    <path d="M734.859,718.996l0,-338.688" style="fill:none;stroke:#000;stroke-width:23.37px;" />
                                    <path d="M734.859,1593.03l0,-338.688" style="fill:none;stroke:#000;stroke-width:23.37px;" />
                                    <path d="M1344.86,993.952l-182.09,-0" style="fill:none;stroke:#000;stroke-width:23.37px;" />
                                </svg></h3>
                        </div>
                        <div class="verejnastranka-popis-sluzba">
                            <span class="verejnastranka-text-sluzba">
                                Nabízíme externí správu počítačových sítí pro
                                malé a střední podniky, které potřebují udržet
                                svou IT infrastrukturu v optimálním stavu.
                                Pomůžeme vám s instalací, konfigurací, zabezpečením a údržbou vašich
                                počítačů, serverů, routerů, switchů a dalších zařízení.
                                Naše služby jsou flexibilní, cenově dostupné a založené
                                na dlouhodobé spolupráci. Rádi vám představíme naše
                                reference a nabídku.
                            </span>
                        </div>
                    </div>
                    <div class="verejnastranka-sluzba2">
                        <div class="verejnastranka-nadpis-sluzba">
                            <h3><svg width="auto" height="100px" viewBox="0 0 2068 2068" version="1.1" style="padding-top:10px;fill-rule:evenodd;clip-rule:evenodd;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:1.5;">
                                    <circle cx="1033.79" cy="1033.79" r="1019.21" style="fill:none;stroke:#000;stroke-width:29.17px;" />
                                    <path id="User-Group---Man---Woman" serif:id="User Group - Man &amp; Woman" d="M1589.15,1654.89l-718.971,0c-0,0 -1.781,-68.512 42.035,-109.041c46.422,-42.959 109.46,-44.076 109.46,-44.076c70.456,-4.007 129.901,-53.404 129.901,-53.404l-0,-56.162c-0,-0 -85.127,-24.108 -113.977,-53.437c-0,-0 18.86,-46.999 23.772,-63.98c4.847,-16.717 4.516,-38.427 2.306,-73.668c-2.207,-35.274 -8.374,-100.534 -1.747,-133.575c6.627,-33.041 25.784,-86.346 56.742,-102.899c30.958,-16.488 67.29,-8.277 67.29,-8.277c0,-0 21.662,-15.699 51.962,-22.104c23.605,-5.025 63.862,0.164 84.863,14.484c21.037,14.353 49.521,40.365 60.763,78.726c12.761,43.584 12.993,95.576 8.143,130.784c-2.702,19.641 -0.724,42.73 0.76,58.297c1.021,11.233 6.561,41.975 15.629,69.859c10.581,32.647 24.889,55.999 24.889,55.999c0,-0 -11.602,22.235 -53.112,35.241c-44.082,13.794 -72.074,14.55 -72.074,14.55l0,56.162c0,0 59.445,49.397 129.871,53.404c-0,0 63.035,1.117 109.49,44.076c43.819,40.529 42.005,109.041 42.005,109.041Zm-699.384,-133.105c-52.851,48.871 -52.653,126.317 -52.554,133.115l-371.206,0c-0,0 -4.52,-110.584 63.828,-149.012c79.524,-44.733 155.09,-49.002 178.235,-56.458c21.595,-6.996 44.773,-14.32 44.773,-44.076c0,-29.724 0.364,-33.599 -6.957,-37.573c-13.981,-7.653 -22.289,-19.476 -24.1,-28.673c-3.396,-17.144 -5.176,-65.162 -9.597,-71.303c-4.449,-6.208 -12.395,-0.92 -15.031,-14.977c-2.672,-14.09 -2.672,-26.439 -5.309,-31.694c-2.639,-5.288 -11.936,-39.347 -6.167,-51.072c5.077,-10.444 14.344,-4.992 15.001,-11.463c1.123,-10.543 -18.659,-98.991 -5.305,-136.465c13.878,-38.986 28.979,-44.372 43.121,-53.207c14.146,-8.802 23.178,-31.333 56.775,-48.083c33.598,-16.718 83.052,-7.029 99.864,-0c16.816,7.061 83.977,25.52 93.703,59.874c0.132,0.493 16.023,20.166 23.571,41.416c13.353,37.474 -6.429,125.922 -5.272,136.465c0.624,6.471 9.891,1.019 15.001,11.463c5.735,11.725 -3.561,45.784 -6.201,51.072c-2.636,5.255 -2.636,17.604 -5.275,31.694c-2.67,14.057 -10.615,8.769 -15.032,14.977c-4.42,6.141 -6.234,54.159 -9.63,71.303c-1.81,9.197 -10.085,21.02 -24.099,28.673c-7.321,3.974 -6.925,7.849 -6.925,37.573c0,29.756 23.178,37.08 44.741,44.076c10.287,3.285 31.255,6.175 57.961,12.054c-11.737,3.711 -23.905,6.7 -36.63,7.455c-3.066,0.066 -76.227,1.905 -131.284,52.846Z" />
                                    <path id="New-Message" serif:id="New Message" d="M1304.97,310.804c-169.184,-0 -306.28,112.302 -306.28,249.399c-0,83.133 48.129,154.598 125.429,199.811c-10.21,51.047 -65.632,105.01 -65.632,105.01c0,0 94.801,11.668 164.808,-58.339c-0,0 81.675,2.917 110.844,1.459c169.183,-4.376 277.11,-112.303 277.11,-249.399c0,-137.097 -137.096,-247.941 -306.279,-247.941Zm29.169,468.17c-26.253,0 -122.512,-1.458 -123.97,-2.917c-11.668,18.961 -71.466,62.715 -100.635,59.798c20.418,-21.877 45.213,-81.675 43.754,-93.342c-10.209,-5.834 -18.96,-11.668 -29.169,-17.502c-59.798,-40.838 -97.718,-100.635 -97.718,-167.725c-0,-121.053 123.97,-220.23 277.11,-220.23c153.14,0 277.11,99.177 277.11,220.23c0,121.054 -93.342,221.688 -246.482,221.688Z" style="fill-rule:nonzero;" />
                                    <path id="Options" d="M1109.46,621.458l35.607,0l0,26.753l-35.607,0l0,-26.753Zm373.874,6.688l0,13.377l-302.66,-0l0,-13.377l302.66,0Zm-373.874,-80.259l35.607,-0l0,26.753l-35.607,-0l0,-26.753Zm71.214,6.688l302.66,-0l0,13.377l-302.66,-0l0,-13.377Zm-71.214,-80.26l35.607,0l0,26.754l-35.607,-0l0,-26.754Zm71.214,6.689l302.66,-0l0,13.376l-302.66,0l0,-13.376Z" style="stroke:#000;stroke-width:1px;stroke-linecap:butt;stroke-miterlimit:2;" />
                                </svg></h3>
                        </div>
                        <div class="verejnastranka-popis-sluzba">
                            <span class="verejnastranka-text-sluzba">
                                Potřebujete servis a technickou podporu pro vaše počítače, servery,
                                sítě nebo software? Nabízíme vám komplexní řešení pro vaše IT potřeby.
                                Ať už jde o instalaci, konfiguraci, opravu, údržbu nebo poradenství,
                                jsme připraveni vám pomoci. Máme dlouholeté zkušenosti a jsme schopni
                                zajistit profesionální a rychlou službu. Kontaktujte nás a zjistěte,
                                co všechno pro vás můžeme udělat.
                            </span>
                        </div>
                    </div>
                    <div class="verejnastranka-sluzba3">
                        <div class="verejnastranka-nadpis-sluzba">
                            <h3><svg width="auto" height="100px" viewBox="0 0 2068 2068" version="1.1" style="padding-top:10px;fill-rule:evenodd;clip-rule:evenodd;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:1.5;">
                                    <circle cx="1033.79" cy="1033.79" r="1019.21" style="fill:none;stroke:#000;stroke-width:29.17px;" />
                                    <path d="M1176.16,348.739c-28.203,-2.74 -56.605,-2.74 -84.808,0l-13.967,68c-27.032,4.136 -53.526,11.235 -79.004,21.169l-46.096,-51.906c-25.795,11.729 -50.392,25.93 -73.446,42.404l21.904,65.873c-21.342,17.098 -40.737,36.493 -57.835,57.835l-65.873,-21.903c-16.475,23.054 -30.676,47.651 -42.404,73.445l51.905,46.096c-9.933,25.479 -17.033,51.973 -21.169,79.004l-67.999,13.968c-2.741,28.203 -2.741,56.605 -0,84.808l67.999,13.967c4.136,27.032 11.236,53.526 21.169,79.004l-51.905,46.096c11.728,25.795 25.929,50.392 42.404,73.446l65.873,-21.903c17.098,21.341 36.493,40.736 57.835,57.834l-21.904,65.873c23.054,16.475 47.651,30.676 73.446,42.404l46.096,-51.905c25.478,9.933 51.972,17.033 79.004,21.169l13.967,67.999c28.203,2.741 56.605,2.741 84.808,0l13.968,-67.999c27.031,-4.136 53.525,-11.236 79.004,-21.169l46.096,51.905c25.794,-11.728 50.391,-25.929 73.445,-42.404l-21.903,-65.873c21.342,-17.098 40.737,-36.493 57.835,-57.834l65.873,21.903c16.474,-23.054 30.676,-47.651 42.404,-73.446l-51.906,-46.096c9.934,-25.478 17.033,-51.972 21.169,-79.004l68,-13.967c2.74,-28.203 2.74,-56.605 -0,-84.808l-68,-13.968c-4.136,-27.031 -11.235,-53.525 -21.169,-79.004l51.906,-46.096c-11.728,-25.794 -25.93,-50.391 -42.404,-73.445l-65.873,21.903c-17.098,-21.342 -36.493,-40.737 -57.835,-57.835l21.903,-65.873c-23.054,-16.474 -47.651,-30.675 -73.445,-42.404l-46.096,51.906c-25.479,-9.934 -51.973,-17.033 -79.004,-21.169l-13.968,-68Zm-42.404,217.347c120.893,-0 219.042,98.149 219.042,219.042c0,120.892 -98.149,219.042 -219.042,219.042c-120.892,-0 -219.042,-98.15 -219.042,-219.042c0,-120.893 98.15,-219.042 219.042,-219.042Z" />
                                    <path id="Layers" d="M498.967,1348.78c-5.379,-2.586 -7.96,-7.802 -7.827,-12.96c-0.141,-5.216 2.463,-10.491 7.902,-13.099c-0,0 89.426,-41.722 135.59,-59.188c17.201,-6.505 36.12,-6.439 53.276,0.184l133.909,59.143c5.379,2.587 7.96,7.803 7.826,12.953c0.142,5.224 -2.462,10.498 -7.908,13.107c-0,-0 -89.419,41.722 -135.583,59.187c-17.201,6.506 -36.12,6.433 -53.276,-0.183l-133.909,-59.144Zm322.85,63.96c5.379,2.586 7.96,7.802 7.826,12.96c0.142,5.216 -2.462,10.491 -7.908,13.099c-0,-0 -89.419,41.722 -135.583,59.187c-17.201,6.506 -36.12,6.433 -53.276,-0.183l-133.909,-59.144c-5.379,-2.586 -7.96,-7.802 -7.827,-12.952c-0.141,-5.224 2.463,-10.499 7.902,-13.107c-0,0 11.672,-5.443 28.717,-13.201l105.117,46.425c17.156,6.616 36.075,6.689 53.276,0.184c29.506,-11.165 76.667,-32.228 106.873,-45.979l28.792,12.711Zm-0,89.879c5.379,2.586 7.96,7.802 7.826,12.96c0.142,5.216 -2.462,10.491 -7.908,13.099c-0,-0 -89.419,41.722 -135.583,59.188c-17.201,6.505 -36.12,6.432 -53.276,-0.184l-133.909,-59.143c-5.379,-2.587 -7.96,-7.803 -7.827,-12.953c-0.141,-5.224 2.463,-10.498 7.902,-13.106c-0,-0 11.672,-5.444 28.717,-13.202l105.117,46.426c17.156,6.615 36.075,6.688 53.276,0.19c29.506,-11.172 76.667,-32.235 106.873,-45.986l28.792,12.711Z" />
                                </svg></h3>
                        </div>
                        <div class="verejnastranka-popis-sluzba">
                            <span class="verejnastranka-text-sluzba">
                                Pokud hledáte spolehlivé a kvalitní služby v oblasti IT, můžeme vám
                                nabídnout naše profesionální poradenství, návrhy a řešení.
                                Naše firma má dlouholeté zkušenosti s poskytováním IT služeb
                                pro různé typy zákazníků. Nabízíme vám individuální přístup,
                                flexibilitu a efektivitu. Ať už potřebujete zabezpečit vaše data,
                                optimalizovat vaše procesy nebo zvýšit vaši produktivitu, jsme tu pro vás.
                            </span>
                        </div>
                    </div>
                </div>
                <div id="kontakt" class="kontakt">
                    <div class="nadpis-pozadi">
                        <h2>Kontakt</h2>
                    </div>
                    <div class="verejnastranka-popiskontakt">
                        <div class="verejnastranka-kontakt">
                            <h4>Napište nám</h4>
                            <form method="POST" class="verejnastranka-form">
                                <div class="verejnastranka-form-div">
                                    <label>Vaše jméno:</label>
                                    <input name="jmeno" type="text" placeholder="Jméno" />
                                </div>
                                <div class="verejnastranka-form-div">
                                    <label>Váš email:</label>
                                    <input name="email" type="text" placeholder="Email" />
                                </div>
                                <div class="verejnastranka-form-div">
                                    <label>Zpráva:</label>
                                    <textarea name="zprava" rows="1"></textarea>
                                </div>
                                <div class="verejnastranka-form-div">
                                    <button name="mail" value="odeslat" type="submit" class="verejnastranka-odeslat button">
                                        Odeslat
                                    </button>
                                </div>
                            </form>

                            <?php
                            if (empty($_POST["mail"])) {
                                $_POST["mail"] = "";
                            } elseif ($_POST["mail"] == "odeslat") {
                                if (empty($_POST["jmeno"])) {
                                    echo "<h5 style='color:red;'>Nebylo zadáno vaše jméno.</h5>";
                                } elseif (empty($_POST["email"]) || !filter_var($_POST["email"], FILTER_VALIDATE_EMAIL)) {
                                    echo "<h5 style='color:red;'>Nebyl zadán email.</h5>";
                                } else {
                                    mail("ondra@tb-servis.cz", '=?utf-8?B?' . base64_encode("Zpráva z webu od: " . $_POST["jmeno"]) . '?=', $_POST["zprava"] . " \n \n Email: " . $_POST["email"], 'From: Web Page <webpage@tb-servis.cz>');
                                    echo "<h5 style='color:green;'>Vaše zpráva byla odeslána. Děkujeme</h5>";
                                }
                            }
                            ?>
                        </div>
                        <div class="verejnastranka-kontakt">
                            <h4>Kde sídlíme</h4>
                            <h5>Pražská 15</h5>
                            <h5>530 06 Pardubice</h5>
                            <div id="mapa" class="verejnastranka-mapa"></div>
                            <script type="text/javascript">
                                var center = SMap.Coords.fromWGS84(15.7213686, 50.0206314);
                                var m = new SMap(JAK.gel("mapa"), center, 17);
                                m.addDefaultLayer(SMap.DEF_BASE).enable();
                                m.addDefaultControls();

                                var layer = new SMap.Layer.Marker();
                                m.addLayer(layer);
                                layer.enable();

                                var options = {};
                                var marker = new SMap.Marker(center, "myMarker", options);
                                layer.addMarker(marker);
                            </script>
                        </div>
                    </div>
                </div>
                <div class="verejnastranka-paticka">
                    <svg class="logo-paticka" viewBox="0 0 1478 1478" version="1.1">
                        <circle cx="738.63" cy="738.63" r="738.63" style="fill:#fff;" />
                        <path d="M299.149,1224.49c-26.074,-0 -47.244,-21.169 -47.244,-47.244c0,-26.075 21.17,-47.244 47.244,-47.244l708.253,-0c65.187,-0 118.11,-52.924 118.11,-118.11c-0,-65.187 -52.923,-118.111 -118.11,-118.111c-0,0 -116.736,0 -116.736,0l25.318,-94.488l91.418,0c65.187,0 118.11,-52.923 118.11,-118.11c-0,-65.187 -52.923,-118.11 -118.11,-118.11l-77.034,-0l-139.249,519.685l-97.821,-0l164.567,-614.174l149.537,0c117.336,0 212.598,95.263 212.598,212.599c0,66.752 -30.831,126.361 -79.024,165.354c48.193,38.994 79.024,98.602 79.024,165.355c0,117.336 -95.262,212.598 -212.598,212.598l-708.253,-0Zm-47.244,-708.661c0,-0 -0.409,-210.484 -0.409,-212.599c0,-26.075 21.17,-47.244 47.244,-47.244l874.016,0c26.075,0 47.244,21.169 47.244,47.244c0,26.075 -21.169,47.244 -47.244,47.244l-826.363,0l0,118.11l389.195,0l-164.567,614.174l-97.821,-0l139.249,-519.685l-313.504,-0c-25.962,-0 -47.04,-21.17 -47.04,-47.244l0,-0Z" style="fill:#001957;" />
                    </svg>
                    <span class="text">
                        Služby&nbsp;v&nbsp;Oblasti<br>informačních<br>technologií
                    </span>
                    <div class="paticka-ikony-leva">
                        <div class="paticka-telefon-email">
                            <svg class="ikona-paticka" viewBox="0 0 1298 1298" version="1.1">
                                <circle cx="648.505" cy="648.505" r="648.005" style="fill:#fff;stroke:#4d4d4d;stroke-width:1px;" />
                                <g>
                                    <path d="M948.282,286.82c-0,-82.283 -66.804,-149.087 -149.087,-149.087l-298.173,0c-82.283,0 -149.087,66.804 -149.087,149.087l0,694.22c0,82.283 66.804,149.087 149.087,149.087l298.173,-0c82.283,-0 149.087,-66.804 149.087,-149.087l-0,-694.22Z" style="fill:#001957;" />
                                    <rect x="454.533" y="260.197" width="391.495" height="673.735" style="fill:#fff;" />
                                    <circle cx="644.827" cy="1036.01" r="53.257" style="fill:#fff;" />
                                </g>
                            </svg>
                            <span class="popis">+420&nbsp;727&nbsp;954&nbsp;616</span>
                        </div>
                        <div class="paticka-telefon-email">
                            <svg class="ikona-paticka" viewBox="0 0 1298 1298" version="1.1">
                                <circle cx="648.505" cy="648.505" r="648.005" style="fill:#fff;stroke:#4d4d4d;stroke-width:1px;" />
                                <g id="email">
                                    <g>
                                        <path d="M1108.39,495.33c-0,-26.744 -21.713,-48.457 -48.457,-48.457l-814.413,0c-26.744,0 -48.457,21.713 -48.457,48.457l0,441.492c0,26.744 21.713,48.457 48.457,48.457l814.413,-0c26.744,-0 48.457,-21.713 48.457,-48.457l-0,-441.492Z" style="fill:#001957;" />
                                        <path d="M653.892,726.557l-454.498,-279.691l908.996,-0l-454.498,279.691Z" style="fill:#fff;" />
                                        <path d="M656.223,161.875l442.844,284.352l-885.688,0l442.844,-284.352Z" style="fill:#001957;" />
                                    </g>
                                </g>
                            </svg>
                            <span class="popis">podpora@tb-servis.cz</span>
                        </div>
                    </div>
                    <div class="paticka-ikony-prava">
                        <a href="https://get.teamviewer.com/tb_quick" target="_blank" class="ikona-paticka">
                            <svg viewBox="0 0 1298 1298" version="1.1">
                                <circle cx="648.505" cy="648.505" r="648.005" style="fill:#fff;stroke:#4d4d4d;stroke-width:1px;" />
                                <path d="M464.564,751.367l34.057,122.198l-435.939,-217.969l435.939,-217.97l-34.057,122.198l372.364,0l-34.058,-122.198l435.939,217.97l-435.939,217.969l34.058,-122.198l-372.364,0Z" style="fill:#001957;" />
                            </svg>
                        </a>

                        <a href="https://www.facebook.com/tbservis/" target="_blank" class="ikona-paticka">
                            <svg viewBox="0 0 1298 1298" version="1.1">
                                <circle cx="648.505" cy="648.505" r="648.005" style="fill:#fff;stroke:#4d4d4d;stroke-width:1px;" /><text x="414.122px" y="1104.87px" style="font-family:'Arial-BoldMT', 'Arial', sans-serif;font-weight:700;font-size:1252.8px;fill:#001957;">f</text>
                            </svg>
                        </a>
                    </div>
                </div>
            </div>
            <button class="verejnastranka-topButton" onclick="window.location.href='#hlavicka'" id="topButton" title="Go to top"><svg viewBox="0 0 683 683" version="1.1" style="fill-rule:evenodd;clip-rule:evenodd;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:1.5;">
                    <circle cx="341.216" cy="341.216" r="330.266" />
                    <path d="M270.766,323.287l-70.129,0c-8.887,0 -16.178,-7.226 -16.178,-16.222c-0,-4.055 1.531,-8.089 4.443,-11.174c36.348,-38.289 101.214,-106.671 130.918,-137.971c4.077,-4.314 9.75,-6.73 15.639,-6.73c5.911,-0 11.562,2.416 15.639,6.73c29.704,31.3 94.592,99.682 130.896,137.971c2.934,3.085 4.466,7.119 4.466,11.174c-0,8.996 -7.27,16.222 -16.179,16.222l-70.129,0l0,194.575c0,11.455 -10.139,21.615 -21.571,21.615l-86.243,-0c-11.433,-0 -21.572,-10.16 -21.572,-21.615l0,-194.575Z" />
                </svg></button>
        </div>
    </div>
    <script>
        let topButton = document.getElementById("topButton");

        window.onscroll = function() {
            scrollFunction()
        };

        function scrollFunction() {
            if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
                topButton.style.display = "block";
            } else {
                topButton.style.display = "none";
            }
        }
    </script>
</body>

</html>